2021-01-25  6.9.11-60  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-60 GIT revision 16407:584cabd8b:20210125

2021-01-24  6.9.11-60  <quetzlzacatenango@image...>
  * nothing new, lockstep with IMv7 release.

2021-01-24  6.9.11-59  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-59 GIT revision 16399:3614d5e0a:20210124

2021-01-20  6.9.11-59  <quetzlzacatenango@image...>
  * strip EXIF marker from profile (reference
    https://github.com/ImageMagick/ImageMagick/issues/3140).
  * add --enable-opencl to the configure command-line to enable OpenCL
    support.
  * generate histograms by comparing pixel components rather than color
    (reference https://github.com/ImageMagick/ImageMagick/discussions/3142).
  * revert annotation performance optimization (reference
    https://github.com/ImageMagick/ImageMagick6/issues/130).

2021-01-16  6.9.11-58  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-58 GIT revision 16343:f38ca0d37:20210116

2021-01-11  6.9.11-58  <quetzlzacatenango@image...>
  * properly identify SVG images (reference
    https://github.com/ImageMagick/ImageMagick/issues/3117).
  * duplicate operator: inverse range parameter working again (reference
    https://github.com/ImageMagick/ImageMagick/issues/3113).
  * Fix rounding error for CSS colors on i686 (reference
    https://tracker.debian.org/pkg/imagemagick).

2021-01-09  6.9.11-57  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-57 GIT revision 16301:c2f75ef89:20210109

2021-01-08  6.9.11-57  <quetzlzacatenango@image...>
  * update automake/autoconf configuration files.
  * additional checks to prevent integer overflow.

2021-01-05  6.9.11-56  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-56 GIT revision 16272:007db884f:20210105

2021-01-05  6.9.11-56  <quetzlzacatenango@image...>
  * Fix rounding error for CSS colors (reference
    https://github.com/ImageMagick/ImageMagick6/issues/129).

2021-01-03  6.9.11-55  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-55 GIT revision 16266:c3350670f:20210103

2021-01-03  6.9.11-55  <quetzlzacatenango@image...>
  * revert changes to the default max width/height of image.

2021-01-02  6.9.11-54  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-54 GIT revision 16244:6b93d4529:20210102 

2020-12-25  6.9.11-54  <quetzlzacatenango@image...>
  * enable reading of a certain grayscale TIFF image.
  * validate pixel cache offsets (reference
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=29039).

2020-12-24  6.9.11-53  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-53 GIT revision 16203:1449d6ede:20201224

2020-12-20  6.9.11-53  <quetzlzacatenango@image...>
  * CSS colors no longer require commas.
  * eliminate possible arthimetic overflow (reference
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=28849)

2020-12-19  6.9.11-52  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-52 GIT revision 16185:710d7811d:20201219

2020-12-19  6.9.11-52  <quetzlzacatenango@image...>
  * return alpha bytes with stream utility (reference
    https://github.com/ImageMagick/ImageMagick/discussions/2862).
  * percentage -border in x no longer adds one pixel border in y (reference
    https://github.com/ImageMagick/ImageMagick/issues/2978).

2020-12-18  6.9.11-51  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-51 GIT revision 16180:7d116a3bb:20201218

2020-12-17  6.9.11-51  <quetzlzacatenango@image...>
  * reduce time to identify PDF/PS/XPS/PCL image width/height (reference
    https://github.com/ImageMagick/ImageMagick/discussions/2993).

2020-12-16  6.9.11-50  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-50 GIT revision 16174:7cd364a33:20201216

2020-12-15  6.9.11-50  <quetzlzacatenango@image...>
  * revert patch to ready gray alpha TIFF image.

2020-12-14  6.9.11-49  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-49 GIT revision 16165:749185e00:20201214

2020-12-13  6.9.11-49  <quetzlzacatenango@image...>
  * correct previous patch to read planar RGB TIFF images.

2020-12-10  6.9.11-48  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-48 GIT revision 16156:573d57764:20201210

2020-12-09  6.9.11-48  <quetzlzacatenango@image...>
  * Repair unit test failures (reference
    https://github.com/ImageMagick/ImageMagick/issues/2959).
  * assert failure when loading a PSD file, patch from Hanisch.

2020-12-09  6.9.11-47  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-47 GIT revision 16151:77fc4f32d:20201209

2020-12-06  6.9.11-47  <quetzlzacatenango@image...>
  * use generic TIFF read method for LZW-compressed strips (reference
    https://github.com/ImageMagick/ImageMagick/discussions/2935).

2020-12-05  6.9.11-46  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-46 GIT revision 16139:f0234de70:20201205

2020-11-30  6.9.11-46  <quetzlzacatenango@image...>
  * possible TIFF related-heap buffer overflow (alert & POC by Hardik Shah).
  * set default system font in policy.xml configuration file.

2020-11-30  6.9.11-45  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-45 GIT revision 16125:85c3464d7:20201130

2020-11-27  6.9.11-44  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-44 GIT revision 16114:2fdb8e8f7:20201127

2020-11-26  6.9.11-44 Dirk Lemstra <dirk@lem.....org>
  * correct reading of first row in TIFF decoder.

2020-11-24  6.9.11-44  <quetzlzacatenango@image...>
  * correct rotation parameter for SVG transform.

2020-11-23  6.9.11-43  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-43 GIT revision 16093:d3ad47f10:20201123

2020-11-23  6.9.11-43  <quetzlzacatenango@image...>
  * add padding to AcquirePolicyString().

2020-11-22  6.9.11-42  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-42 GIT revision 16089:ae9803730:20201122

2020-11-21  6.9.11-42  <quetzlzacatenango@image...>
  * restore passphrase support when rendering PDF's.
  * revert memory patch to avert possible thread lock.

2020-11-20  6.9.11-40  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-40 GIT revision 16071:661c8a58a:20201120 

2020-11-19  6.9.11-40  <quetzlzacatenango@image...>
  * remove Linux shell artifact from Windows delegate configuration file.
  * fix shell injection vulnerability via the -authenticate option (reference
    alex@cure...).

2020-11-17  6.9.11-39  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-39 GIT revision 16053:6095d7b94:20201117

2020-11-07  6.9.11-39  <quetzlzacatenango@image...>
  * support DPX 4:2:2 sampling.

2020-11-14  6.9.11-38  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-38 GIT revision 16032:cb7355b0a:20201114

2020-11-07  6.9.11-38  <quetzlzacatenango@image...>
  * add image settings support to -fx.
  * better support for TIFF YCbCr photometric.
  * verify TTF glyph format before dereferencing (reference
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=26932).
  * force single HEIC image per container.

2020-11-07  6.9.11-37  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-37 GIT revision 16011:4d139b73c:20201107

2020-11-07  6.9.11-36  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-36 GIT revision 16008:9f3b8ffe4:20201107

2020-11-02  6.9.11-36  <quetzlzacatenango@image...>
  * do not add entropy based on mkstemp() unique filename.

2020-10-31  6.9.11-35  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-35 GIT revision 16002:56875b029:20201031.

2020-10-14  6.9.11-35  <quetzlzacatenango@image...>
  * prefer ffmpeg over avconv.

2020-10-08  6.9.11-34  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-34 GIT revision 15954:c4594f039:20201008

2020-10-05  6.9.11-34  <quetzlzacatenango@image...>
  * check for linux-compatible sendfile().

2020-10-04  6.9.11-33  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-33 GIT revision 15943:757c9b18e:20201004

2020-10-04  6.9.11-33  <quetzlzacatenango@image...>
  * miscellaneous clean-up.

2020-10-02  6.9.11-32  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-32 GIT revision 15931:ee2342eaf:20201002

2020-09-27  6.9.11-32  <quetzlzacatenango@image...>
  * enable WMF for module build.

2020-09-26  6.9.11-31  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-31 GIT revision 15914:f6814fe52:20200926

2020-09-20  6.9.11-31  <quetzlzacatenango@image...>
  * Add support for APNG (specify explicitly, e.g. apng:animate.png).
  * Add support for WEBM.

2020-09-17  6.9.11-30  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-30 GIT revision 15904:67d1d4293:20200919

2020-09-07  6.9.11-30  <quetzlzacatenango@image...>
  * Add endian support to JSON coder.
  * Regression: MapCache type cache allocation skipped (reference
    https://github.com/ImageMagick/ImageMagick6/issues/97).
  * Some DCM images include a thumbnail (reference
    https://github.com/ImageMagick/ImageMagick/pull/2558).

2020-09-05  6.9.11-29  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-29 GIT revision 15857:15b663aee:20200905.

2020-08-16  6.9.11-29  <quetzlzacatenango@image...>
  * Eliminate infinite loop for certain SVG styles (reference
    https://github.com/ImageMagick/ImageMagick6/issues/96).
  * Add version element to JSON file format (reference
    https://github.com/ImageMagick/ImageMagick6/issues/91).

2020-08-16  6.9.11-28  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-28 GIT revision 15828:1a0a93a49:20200816

2020-08-16  6.9.11-28  <quetzlzacatenango@image...>
  * Distorted clip path after -extent (reference
    https://github.com/ImageMagick/ImageMagick/issues/2414).
  * Paths in Photoshop EPS files are corrupted on conversion (reference
    https://github.com/ImageMagick/ImageMagick/issues/2413).

2020-08-09  6.9.11-27  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-27 GIT revision 15822:fc273882d:20200809

2020-08-08  6.9.11-26  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-26 GIT revision 15819:515bf4e08:20200808

2020-08-02  6.9.11-26  <quetzlzacatenango@image...>
  * Paths in Photoshop EPS files are no longer corrupted (reference
    https://github.com/ImageMagick/ImageMagick/issues/2380).

2020-07-31  6.9.11-25  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-25 GIT revision 15804:847957574:20200731

2020-07-13  6.9.11-25  <quetzlzacatenango@image...>
  * Remove UseCIEColor setting from PDF code as its use is not recommended
  * Update latest documentation.

2020-07-18  6.9.11-24  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-24 GIT revision 15789:349d7ff34:20200718

2020-07-13  6.9.11-24  <quetzlzacatenango@image...>
  * Discover hidden files when globbing (e.g. *.jpg) (reference
    https://github.com/ImageMagick/ImageMagick/discussions/2239).

2020-07-03  6.9.11-23  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-23 GIT revision 15762:9b6e0e045:20200704 

2020-06-28  6.9.11-23  <quetzlzacatenango@image...>
  * Ensure that float is valid in ClampToQuantum() (reference
    https://github.com/ImageMagick/ImageMagick/pull/2219).

2020-06-26  6.9.11-22  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-22 GIT revision 15744:b14dc552e:20200626

2020-06-24  6.9.11-22  <quetzlzacatenango@image...>
  * fix wrapping of caption (reference
    https://github.com/ImageMagick/ImageMagick/issues/2178).
  * sanity check of affine matrix when drawing.

2020-06-22  6.9.11-21  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-21 GIT revision 15731:0eff8c6b7:20200622

2020-06-21  6.9.11-21  <quetzlzacatenango@image...>
  * new image property, %N, only report the # of frames in an image sequence,
    just once rather than on a per frame basis
  * problems converting CMYK to RGB regression (reference
    https://github.com/ImageMagick/ImageMagick6/issues/83)

2020-06-20  6.9.11-20  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-20 GIT revision 15709:77849ee5a:20200620

2020-06-14  6.9.11-20  <quetzlzacatenango@image...>
  * Fix out-of-bounds vulnerability when reading sixel images (reference
    https://github.com/ImageMagick/ImageMagick/issues/2143).
  * Fix incorrect parsing of font family list (reference
    https://github.com/ImageMagick/ImageMagick/issues/2153).

2020-06-12  6.9.11-19 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-19, GIT revision 15677:b26bd57:20200612

2020-06-09  6.9.11-19 Cristy  <quetzlzacatenango@image...>
  * Improve checking for write failures (reference
    https://github.com/ImageMagick/ImageMagick/pull/2081).

2020-06-08  6.9.11-18 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-18, GIT revision 15667:842c9ade8:20200608

2020-06-08  6.9.11-18 Cristy  <quetzlzacatenango@image...>
  * Colorspace change will remove ICC profile (reference
    https://github.com/ImageMagick/ImageMagick6/issues/82).

2020-06-07  6.9.11-17 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-17, GIT revision 15651:ff95d16:20200607

2020-06-03  6.9.11-17 Cristy  <quetzlzacatenango@image...>
  * Free up memory after a ICC profile is removed.

2020-05-31  6.9.11-16 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-16, GIT revision 15639:38d3390:20200531

2020-05-31  6.9.11-16 Cristy  <quetzlzacatenango@image...>
  * Fix PDF XREF directory for image sequences with and without ICC profiles.

2020-05-26  6.9.11-15 Cristy  <quetzlzacatenango@image...>
  * CCL area threshold not working correctly.
  * Don't write a ICC profile to PDF if the image is gray (reference
    https://github.com/ImageMagick/ImageMagick/issues/2070).

2020-05-22  6.9.11-14 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-14, GIT revision 15618:471a07315:20200522

2020-05-22  6.9.11-14 Cristy  <quetzlzacatenango@image...>
  * Errant warning when reading a profile file (reference
    https://github.com/ImageMagick/ImageMagick/issues/2030).
  * Fix one off error on PDF object for images with ICC profile.

2020-05-17  6.9.11-13 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-13, GIT revision 15610:9445760:20200517.

2020-05-17  6.9.11-13 Cristy  <quetzlzacatenango@image...>
  * Remove errant debugging statement in SVG coder.

2020-05-15  6.9.11-12 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-12, GIT revision 15602:96db62d:20200515.

2020-05-12  6.9.11-12 Cristy  <quetzlzacatenango@image...>
  * Black artefacts during quantization (reference
    https://github.com/ImageMagick/ImageMagick/discussions/2007#discussioncomment-13546).

2020-04-08  6.9.11-11 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-11, GIT revision 15592:6c1c1a9:20200508

2020-04-28  6.9.11-11 Cristy  <quetzlzacatenango@image...>
  * Disable "random" OpenCL kernel.  Previously the work load was distributed
    but each started with the same random seed.
  * Enable threaded PNG coder.

2020-04-27  6.9.11-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-10, GIT revision 15574:867252a:20200427

2020-04-27  6.9.11-10 Cristy  <quetzlzacatenango@image...>
  * Correction to allocate a colormap of the maximum colors when color
    reducing an image sequence.
  * Write to stdout for mp4:-.

2020-04-26  6.9.11-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-9, GIT revision 15563:7e4286f:20200426.

2020-04-25  6.9.11-9 Cristy  <quetzlzacatenango@image...>
  * Allocate a colormap of the maximum colors when color reducing an image
    sequence.
  * Label was not centered properly (reference
    https://github.com/ImageMagick/ImageMagick/issues/1879).

2020-04-24  6.9.11-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-8, GIT revision 15554:1ab590d:20200424.

2020-04-23  6.9.11-8 Cristy  <quetzlzacatenango@image...>
  * Some configure --with-method-prefix methods were missing (reference
    https://github.com/ImageMagick/ImageMagick/issues/1912).

2020-04-20  6.9.11-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-7, GIT revision 15549:7b11069:20200420.

2020-04-07  6.9.11-7 Cristy  <quetzlzacatenango@image...>
  * Fix erroneous "insufficient image data" exception (reference
    https://github.com/ImageMagick/ImageMagick/issues/1883).
  * Fix an unconditional jump for the XPM coder (reference
    https://github.com/ImageMagick/ImageMagick/issues/1895).

2020-04-06  6.9.11-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-6, GIT revision 15539:e9e105c:20200406.

2020-04-06  6.9.11-6 Cristy  <quetzlzacatenango@image...>
  * Fix incomplete patch for EPT coder (reference
    https://github.com/ImageMagick/ImageMagick6/issues/80).

2020-04-05  6.9.11-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-5, GIT revision 15536:3689bed3a:20200405

2020-04-05  6.9.11-5 Cristy  <quetzlzacatenango@image...>
  * Default inkscape delegate to version 0.92 (reference
    https://github.com/ImageMagick/ImageMagick/discussions/1880).
  * Set monochrome image depth to 1 for Group4 compression.

2020-04-05  6.9.11-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-4, GIT revision 15531:5fc7a9f:20200405.

2020-03-27  6.9.11-4 Cristy  <quetzlzacatenango@image...>
  * The X max attribute for certain fonts is zero (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=37723).
  * Fix possible null pointer dereference in magick/property.c (reference
    https://github.com/ImageMagick/ImageMagick/issues/1225).
  * Multi-value of jp2:quality does not work (reference
    https://github.com/ImageMagick/ImageMagick/issues/1873).
  * Return EPS & TIFF images from the EPT image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=37781).

2020-03-27  6.9.11-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-3, GIT revision 15511:23bb003:20200327.

2020-03-22  6.9.11-3 Cristy  <quetzlzacatenango@image...>
  * Fix numerical instability issue when drawing lines.
  * Fix off by one exception when calling QuantumImages() (reference
    https://github.com/ImageMagick/ImageMagick6/issues/77).
  * Improve mono font rendering (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=37723).

2020-03-21  6.9.11-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-2, GIT revision 15500:698c610:20200321

2020-03-16  6.9.11-2 Cristy  <quetzlzacatenango@image...>
  * Fixed another sizing issue with the label coder when pointsize is set.
  * Respect explicit image filename modified (e.g. png24:im.png) (reference
    https://github.com/ImageMagick/ImageMagick/issues/1835).
  * Stroked dash array render properly again.

2020-03-15  6.9.11-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-1, GIT revision 15487:ffac3c4:20200315.

2020-03-07  6.9.11-1 Cristy  <quetzlzacatenango@image...>
  * Do not throw exception on empty draw path (reference
    https://github.com/ImageMagick/ImageMagick/issues/974).
  * Fix possible buffer overflow in ComplexImages().

2020-03-06  6.9.11-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.11-0, GIT revision 15465:f7c926d:20200306.

2020-03-01  6.9.11-0 Cristy  <quetzlzacatenango@image...>
  * Label text no longer gets cut-off (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=37621).
  * Prevent heap overflow (reference
    https://github.com/ImageMagick/ImageMagick/issues/1857).

2020-02-29  6.9.10-97 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-97, GIT revision 15453:0537c847b:20200229

2020-02-24  6.9.10-97 Cristy  <quetzlzacatenango@image...>
  * Make sure we can grok this Fx expression: 1- -2.
  * Do not advance when substituting a NULL string.
  * Correct alpha for named colors in the Q32 non-HDRI build.
  * Write Group4 compressed image as a single strip.

2020-02-23  6.9.10-96 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-96, GIT revision 15438:2ef65d48e:20200223

2020-02-22  6.9.10-96 Cristy  <quetzlzacatenango@image...>
  * Adapt to a change in command-line options in the SVG inkscape delegate.

2020-02-21  6.9.10-95 Cristy  <quetzlzacatenango@image...>
  * No percent sign in lab() color.

2020-02-18  6.9.10-95 Cristy  <quetzlzacatenango@image...>
  * Adapt to a change in command-line options in the SVG inkscape delegate.

2020-02-16  6.9.10-94 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-94, GIT revision 15405:56d9955fc:20200217

2020-02-16  6.9.10-94 Cristy  <quetzlzacatenango@image...>
  * Corrected ellipse orientation when computing image moments.

2020-02-14  6.9.10-93 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-93, GIT revision 15386:2d96228:20200214

2020-02-08  6.9.10-93 Cristy  <quetzlzacatenango@image...>
  * Report gray(127.5) as gray(50%).

2020-02-07  6.9.10-92 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-92, GIT revision 15374:d468797:20200207

2020-02-03  6.9.10-92 Cristy  <quetzlzacatenango@image...>
  * More work on connect components, e.g. keep-colors, remove-colors,
    keep-topids 
  * Initialize mutex before locking if its not already initialized
  * Support 24-bit TIFF images.

2020-02-01  6.9.10-91 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-91, GIT revision 15346:4691fe1:20200201.

2020-01-27  6.9.10-91 Cristy  <quetzlzacatenango@image...>
  * Support additional connected component defines.
  * Refresh cache morphology when writing MPC images.

2020-01-26  6.9.10-89 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-89, GIT revision 15318:2b12203:20200126

2020-01-26  6.9.10-89 Cristy  <quetzlzacatenango@image...>
  * Make png creation reproducible (reference
    https://github.com/ImageMagick/ImageMagick/pull/1270).
  * Refactor uninitialize variable for -fx "while(,)" expression.

2020-01-25  6.9.10-88 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-88, GIT revision 15309:a3d1b6f:20200125

2020-01-20  6.9.10-88 Cristy  <quetzlzacatenango@image...>
  * Support 32-bit tiles TIFF images.
  * New -connected-component options (reference
    https://legacy.imagemagick.org/script/connected-components.php).

2020-01-18  6.9.10-87 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-87, GIT revision 15285:f6ba467:20200118

2020-01-12  6.9.10-87 Cristy  <quetzlzacatenango@image...>
  * Conditional compile for huge xml pages for RSVG delegate library.
  * Put "width" property in the PNG namespace (reference
    https://github.com/ImageMagick/ImageMagick/issues/1833).
 * -combine -colorspace sRGB no longer returns grayscale output (reference
    https://github.com/ImageMagick/ImageMagick/issues/1835).

2020-01-12  6.9.10-86 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-86, GIT revision 15260:0667659:20200112.

2020-01-12  6.9.10-86 Cristy  <quetzlzacatenango@image...>
  * Fixed three failing Magick.NET unit tests.

2020-01-11  6.9.10-85 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-85, GIT revision 15253:1fdc999:20200111.

2020-01-11  6.9.10-85 Dirk Lemstra <dirk@lem.....org>
  * Also support svg:xml-parse-huge when using librsvg.

2020-01-07  6.9.10-85 Cristy  <quetzlzacatenango@image...>
  * Support Fx do() iterator.
  * `magick -size 100x100 xc:black black.pnm` no longer creates a white image
    (reference https://github.com/ImageMagick/ImageMagick/issues/1817).
  * setjmp/longjmp in jpeg.c no longer trigger undefind behavior (reference
		https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=37379).
  * Permit compositing in the CMYK colorspace (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=37368).

2020-01-04  6.9.10-84 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-84, GIT revision 15212:a45335c:20200104.

2020-01-01  6.9.10-84 Cristy  <quetzlzacatenango@image...>
  * Support extended Fx assignment operators (e.g. *=, /=, ++, --, etc.)
  * Support Fx for() iterator.
	* Optimize Fx performance.
	* Ensure circle.rb renders the same for IMv6 and IMv7 (reference
    https://github.com/rmagick/rmagick/issues/905).

2019-12-30  6.9.10-83 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-83, GIT revision 15184:9f64323:20191230.

2019-12-28  6.9.10-83 Cristy  <quetzlzacatenango@image...>
  * PSD: only set the alpha channel when type is not 0.
  * Fix Lab to custom profile (CMYK or RGB) conversion bug (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=37318).

2019-12-27  6.9.10-82 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-82, GIT revision 15167:12b7f07:20191226.

2019-12-26  6.9.10-82 Cristy  <quetzlzacatenango@image...>
  * Fix Build failure with MinGW-w64 (reference
    https://github.com/ImageMagick/ImageMagick6/issues/67).
  * Inject image profile properties immediately after the image is read.

2019-12-24  6.9.10-81 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-81, GIT revision 15151:1444366:20191224.

2019-12-18  6.9.10-81 Cristy  <quetzlzacatenango@image...>
  * Replace pseudo-random number generator with a Xoshiro generator.
  * Define MagickAddressType (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=3729).

2019-12-22  6.9.10-80 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-80, GIT revision 15135:8aa94ec27:20191222

2019-12-18  6.9.10-80 Cristy  <quetzlzacatenango@image...>
  * Some clang releases do not support _aligned_alloc().

2019-12-07  6.9.10-79 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-79, GIT revision 15127:fa10678:20191215.

2019-12-07  6.9.10-79 Cristy  <quetzlzacatenango@image...>
  * Build file clean-up (reference
    https://github.com/ImageMagick/ImageMagick/pull/1798).
  * Improve semaphore handling @
    https://github.com/ImageMagick/ImageMagick/pull/1798).
  * Introduce HeapOverflowSanityCheckGetExtent() method (reference
    https://github.com/ImageMagick/ImageMagick/pull/1798).

2019-12-01  6.9.10-78 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-78, GIT revision 15097:0136438:20191207.

2019-12-01  6.9.10-78 Cristy  <quetzlzacatenango@image...>
  * -type bilevel behavior restored, it creates a black and white image.

2019-11-29  6.9.10-77 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-77, GIT revision 15087:5e6be1a:20191129.

2019-11-26  6.9.10-77 Cristy  <quetzlzacatenango@image...>
  * Support Pocketmod image format, e.g.
    convert -density 300 pages?.pdf pocketmod:organize.pdf
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Update documentation.

    https://github.com/ImageMagick/ImageMagick/issues/1784).
2019-11-26  6.9.10-75 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-75, GIT revision 15062:f23c75e:20191126.

2019-11-19  6.9.10-75 Cristy  <quetzlzacatenango@image...>
  * Increase the maximum number of bezier coordinates (reference
    https://github.com/ImageMagick/ImageMagick/issues/1784).
  * Santize "'" from SHOW and WIN delegates under Linux, '"\' for Windows
    (thanks to Enzo Puig).
  * Correct for TGA orientation (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=34757).
  * The result for -compose Copy -extent on a CMYK image is CMYK (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=37118).
  * Fix potential buffer overflow when reading a fax image (alert from
    Justin).
  * Support dng:use-camera-wb option.

2019-11-17  6.9.10-74 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-74, GIT revision 15030:6efa1b6:20191117.

2019-11-16  6.9.10-74 Cristy  <quetzlzacatenango@image...>
  * Ensure Ascii85 compression is thread safe.
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-11-14  6.9.10-73 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-73, GIT revision 15014:bcb2b51:20191114.

2019-11-14  6.9.10-73 Cristy  <quetzlzacatenango@image...>
  * HP's ANSI C/C++ compiler does not support strcasestr().

2019-11-13  6.9.10-72 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-72, GIT revision 15011:4cf3857:20191113.

2019-11-10  6.9.10-72 Cristy  <quetzlzacatenango@image...>
  * Output exception there is an attempt to perform an operation not allowed by
    the security policy
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-10-30  6.9.10-71 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-71, GIT revision 14989:8da75bd:20191030.

2019-10-29  6.9.10-71 Cristy  <quetzlzacatenango@image...>
  * JPEG and JPG are aliases in coder security policy.
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-10-27  6.9.10-70 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-70, GIT revision 14970:4200095:20191027.

2019-10-27  6.9.10-70 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).
2019-10-27  6.9.10-70 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-70, GIT revision 14970:4200095:20191027.

2019-10-27  6.9.10-70 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-10-24  6.9.10-69 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-69, GIT revision 14962:03a9bac:20191024

2019-10-06  6.9.10-69 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous issues  posted to GitHub (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Support trim:background-color define for -trim option

2019-10-05  6.9.10-68 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-68, GIT revision 14874:eb58b7e:20191005.

2019-09-30  6.9.10-68 Cristy  <quetzlzacatenango@image...>
  * Support animated WebP encoding/decoding (reference
    https://github.com/ImageMagick/ImageMagick/pull/1708).
  * Text stroke cut off (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=36829).

2019-09-29  6.9.10-67 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-67, GIT revision 14844:2a2c1b1:20190929.

2019-09-28  6.9.10-67 Cristy  <quetzlzacatenango@image...>
  * line endings renedered as empty boxes (reference
    https://github.com/ImageMagick/ImageMagick/issues/1704).

2019-09-21  6.9.10-66 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-66, GIT revision 14834:9b20f2e:20190921.

2019-09-20  6.9.10-66 Cristy  <quetzlzacatenango@image...>
  * Support compound statements in the FX while() expression (reference
    https://github.com/ImageMagick/ImageMagick/issues/1701).

2019-09-14  6.9.10-65 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-65, GIT revision 14829:1a6dc73:20190915/

2019-09-09  6.9.10-65 Cristy  <quetzlzacatenango@image...>
  * Eliminate fault when trace delegate is not available.
  * Properly distinquish linear and non-linear gray colorspaces (reference
    https://github.com/ImageMagick/ImageMagick/issues/1680).

2019-09-07  6.9.10-64 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-64, GIT revision 14812:b27c543:20190907.

2019-09-02  6.9.10-64 Cristy  <quetzlzacatenango@image...>
  * Support XPM symbolic (reference
    https://github.com/ImageMagick/ImageMagick/issues/1684).

2019-08-31  6.9.10-63 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-63, GIT revision 14796:9b9fba4:20190831.

2019-08-24  6.9.10-63 Cristy  <quetzlzacatenango@image...>
  * Properly identify the DNG and AI image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=36581).

2019-08-23  6.9.10-62 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-62, GIT revision 14779:2da539a:20190823.

2019-08-19  6.9.10-62 Cristy  <quetzlzacatenango@image...>
  * Conditionally compile call to AcquireCLocale() (reference
    https://github.com/ImageMagick/ImageMagick/issues/1669).
  * More robust support for converting bitmap to vector.

2019-08-16  6.9.10-61 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-61, GIT revision 14757:36133aa:20190816.

2019-08-12  6.9.10-61 Cristy  <quetzlzacatenango@image...>
  * Fixed bug when writing MPC to PNG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=36518).

2019-08-10  6.9.10-60 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-60, GIT revision 14745:ce6bac3:20190810.

2019-08-07  6.9.10-60 Cristy  <quetzlzacatenango@image...>
  * Enable reading EXR image file from stdin.

2019-08-03  6.9.10-59 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-59, GIT revision 14730:b2d457b:20190803.

2019-08-01  6.9.10-59 Cristy  <quetzlzacatenango@image...>
  * Module is a reserved keyword for C++ 20 (reference
    https://github.com/ImageMagick/ImageMagick/issues/1650).

2019-07-29  6.9.10-58 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-58, GIT revision 14723:fffbce8:20190729.

2019-07-27  6.9.10-58 Cristy  <quetzlzacatenango@image...>
  * Improve GetNextToken() performance.

2019-07-26  6.9.10-57 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-57, GIT revision 14712:94d15b7:20190726.

2019-07-22  6.9.10-57 Cristy  <quetzlzacatenango@image...>
  * Heap-buffer-overflow in Postscript coder (reference
    https://github.com/ImageMagick/ImageMagick/issues/1644).
  * Correction to the ModulusAdd and ModulusSubtract composite op (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=36413).

2019-07-20  6.9.10-56 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-56, GIT revision 14704:d0be203:20190720.

2019-07-20  6.9.10-56 Cristy  <quetzlzacatenango@image...>
  * Converting from PDF to PBM inverts the image (reference
    https://github.com/ImageMagick/ImageMagick/issues/1643).

2019-07-18  6.9.10-55 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-55, GIT revision 14700:faac202:20190718.

2019-07-08  6.9.10-55 Cristy  <quetzlzacatenango@image...>
  * Heap-buffer overflow (reference
    https://github.com/ImageMagick/ImageMagick/issues/1641).
  * PerlMagick test suite passes again (reference
    https://github.com/ImageMagick/ImageMagick/issues/1640).

2019-07-16  6.9.10-54 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-54, GIT revision 14684:41399a3:20190716

2019-07-08  6.9.10-54 Cristy  <quetzlzacatenango@image...>
  * Avoid divide by zero (reference
    https://github.com/ImageMagick/ImageMagick/issues/1629).
  * introducing MagickLevelImageColors() MagickWand method.
  * Transient problem with text placement with gravity (reference
    https://github.com/ImageMagick/ImageMagick/issues/1633).

2019-07-05  6.9.10-53 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-53, GIT revision 14625:70fb1c6:20190705.

2019-07-05  6.9.10-53 Cristy  <quetzlzacatenango@image...>
  * Coder heic.c build failure  (reference
    https://github.com/ImageMagick/ImageMagick6/issues/50).

2019-07-05  6.9.10-52 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-52, GIT revision 14623:672ff6a:20190705.

2019-07-01  6.9.10-52 Cristy  <quetzlzacatenango@image...>
  * Eliminate buffer overflow in TranslateEvent() (reference
    https://github.com/ImageMagick/ImageMagick/issues/1621).
  * Fix -fx parsing issue (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=36314).

2019-06-30  6.9.10-51 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-51, GIT revision 14607:cec35fb:20190630.

2019-06-24  6.9.10-51 Cristy  <quetzlzacatenango@image...>
  * Clone rather than copy X window name/icon.
  * Optimize PDF reader.

2019-06-23  6.9.10-50 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-50, GIT revision 14583:598f03b:20190623

2019-06-16  6.9.10-50 Cristy  <quetzlzacatenango@image...>
  * Heap-buffer-overflow in MagickCore/fourier.c (reference
    https://github.com/ImageMagick/ImageMagick/issues/1588).
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-06-08  6.9.10-49 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-49, GIT revision 14530:19dcf6f:20190608

2019-06-04  6.9.10-49 Cristy  <quetzlzacatenango@image...>
  * Use user defined allocator instead of `malloc` (reference
    https://github.com/ImageMagick/ImageMagick6/pull/49/).
  * Add static decorator to accelerator kernels (reference
    https://github.com/ImageMagick/ImageMagick/issues/1366).

2019-05-26  6.9.10-47 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-47, GIT revision 14507:321f99ca6:20190526

2019-05-19  6.9.10-47 Cristy  <quetzlzacatenango@image...>
  * Support 16 and 32 bit tiled float TIFF images.
  * Text improvements to the internal SVG renderer.

2019-05-14  6.9.10-46 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-46, GIT revision 14492:fb2f64950:20190518

2019-05-14  6.9.10-46 Cristy  <quetzlzacatenango@image...>
  * Builds under MacOS X and FreeBSD works again.
  * Return HEIC images in the sRGB colorspace.

2019-05-12  6.9.10-45 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-45, GIT revision 14473:2116be83b:20190512

2019-05-06  6.9.10-45 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-05-03  6.9.10-44 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-44, GIT revision 14449:d077c2e58:20190503

2019-05-03  6.9.10-44 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-05-01  6.9.10-43 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-43, GIT revision 14444:1580c66ba:20190502

2019-05-01  6.9.10-43 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-04-29  6.9.10-42 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-42, GIT revision 14417:929367bd1:20190424

2019-04-20  6.9.10-42 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-04-19  6.9.10-41 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-41, GIT revision 14390:6d46f0a04:20190420

2019-04-14  6.9.10-41 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Honor SOURCE_DATE_EPOCH environment variable (reference
    https://github.com/ImageMagick/ImageMagick/pull/1496/).
  * Standardize on UTC time for any image format timestamp.

2019-04-12  6.9.10-40 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-40, GIT revision 14362:7e503e231:20190412

2019-04-10  6.9.10-40 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-04-07  6.9.10-39 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-39, GIT revision 14346:6b5a9cc87:20190406

2019-04-06  6.9.10-39 Cristy  <quetzlzacatenango@image...>
  * The -preview raise option now returns expected results.
  * Initialise ghostscript instances with NULL (reference
    https://github.com/ImageMagick/ImageMagick/pull/1538).

2019-04-06  6.9.10-38 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-38, GIT revision 14341:09f7569e8:20190406

2019-04-06  6.0.10-38 Cristy  <quetzlzacatenango@image...>
  * Modulo off by one patch for -virtual-pixel option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=35789)

2019-04-03  6.9.10-37 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-37, GIT revision 14329:0dc57c67b:20190403

2019-04-03  6.0.10-37 Cristy  <quetzlzacatenango@image...>
  * Fixed -virtual-pixel option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=35789)

2019-03-31  6.9.10-36 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-36, GIT revision 14321:3b6ba12f4:20190331

2019-03-27  6.9.10-36 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-03-24  6.9.10-35 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-35, GIT revision 14298:633d5a989:20190324

2019-03-23  6.9.10-35 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-03-15  6.9.10-34 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-34, GIT revision 14276:b0b2799a2:20190315

2019-03-11  6.9.10-34 Cristy  <quetzlzacatenango@image...>
  * Associate one lock with each resource.
  * Report exception if opening TIFF did not work ou.
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2019-03-10  6.9.10-33 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-33, GIT revision 14266:fb9c848b1:20190310

2019-03-06  6.9.10-33 Cristy  <quetzlzacatenango@image...>
  * Fix SVG conversion infinite loop (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=35591).
  * Initialize primitive drawing structure after resizing.

2019-03-05  6.9.10-32 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-32, GIT revision 14250:4d956d2ac:20190305

2019-03-05  6.9.10-32 Cristy  <quetzlzacatenango@image...>
  * Fix out-of-boundary LocaleLowerCase() @
    https://github.com/ImageMagick/ImageMagick/issues/1495

2019-03-04  6.9.10-31 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-31, GIT revision 14246:6de0b115c:20190304

2019-03-04  6.9.10-31 Cristy  <quetzlzacatenango@image...>
  * -trim is no longer sensitive to the image virtual canvas.

2019-03-03  6.9.10-30 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-30, GIT revision 14240:d62e5fd8b:20190303

2019-03-03  6.9.10-30 Cristy  <quetzlzacatenango@image...>
  * Support define to remove additional background from an image during a
    trim, e.g. -fuzz 5% -define trim:percent-background=0% -trim.

2019-02-28  6.9.10-29 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-29, GIT revision 14235:eee85cacc:20190228

2019-02-28  6.9.10-29 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2019-02-18  6.9.10-28 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-28, GIT revision 14227:580d9f9a6:20190218

2019-02-12  6.9.10-28 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-02-09  6.9.10-27 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-27, GIT revision 14197:4e00248f4:20190209

2019-02-09  6.9.10-27 Cristy  <quetzlzacatenango@image...>
  * Mod patch to properly handle subimage ranges (e.g. image.gif[2-3]).

2019-02-03  6.9.10-27 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-27, GIT revision 14180:153da6bd6:20190203

2019-02-02  6.9.10-26 Cristy  <quetzlzacatenango@image...>
  * Fixed a number of issues (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2019-01-27  6.9.10-25 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-25, GIT revision 14167:183ec9d88:20190127

2019-01-19  6.9.10-25 Cristy  <quetzlzacatenango@image...>
  * Eliminate spurious font warning (reference
    https://github.com/ImageMagick/ImageMagick/issues/1458).
  * Support HEIC EXIF & XMP profiles.

2019-01-12  6.9.10-24 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-24, GIT revision 14130:70079ed45:20190112

2019-01-08  6.9.10-24 Cristy  <quetzlzacatenango@image...>
  * Support -clahe option real clip limit (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=35292).
  * ShadeImage() can return negative pixels, clamp to range (reference
    https://github.com/ImageMagick/ImageMagick/issues/1319).
  * Annotate with negative offsets no longer renders slanted text.

2019-01-01  6.9.10-23 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-23, GIT revision 14106:df6887c14:20190101

2019-01-01  6.9.10-23 Cristy  <quetzlzacatenango@image...>
  * CacheInfo destructor must be aligned in DestroyPixelStream().

2018-12-30  6.9.10-22 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-22, GIT revision 14098:7054d2569:20181230

2018-12-29  6.9.10-22 Cristy  <quetzlzacatenango@image...>
  * Support negative rotations in a geometry (e.g. -10x-10+10+10).
  * Return expected canvas offset after a crop with gravity.
  * Fix HEIC coder compile exception.

2018-12-27  6.9.10-21 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-21, GIT revision 14088:1961662c1:20181227

2018-12-27  6.9.10-21 Cristy  <quetzlzacatenango@image...>
  * Check to ensure SeekBlob() offset can be represented in an off_t.

2018-12-23  6.9.10-20 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-20, GIT revision 14079:0ce665411:20181223

2018-12-19  6.9.10-19 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-19, GIT revision 14069:0ca60eda0:20181219

2018-12-18  6.9.10-18 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-18, GIT revision 14061:2f9ab1cea:20181218

2018-12-18  6.9.10-18 Cristy  <quetzlzacatenango@image...>
  * Revert MagickDoubleType patch to avoid i386 ABI break (reference
    https://github.com/ImageMagick/ImageMagick6/issues/31);

2018-12-17  6.9.10-17 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-17, GIT revision 14057:667544c39:20181217

2018-12-10  6.9.10-16 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-16, GIT revision 14039:096b7210f:20181210

2018-12-02  6.9.10-16 Cristy  <quetzlzacatenango@image...>
  * Check for modulo underflow.
  * Change SVG default DPI to 86 from 90 to meet recommendation of SVG2 & CSS.

2018-12-01  6.9.10-15 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-15, GIT revision 14011:ddd5bd95d:20181201

2018-10-23  6.9.10-14 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-14, GIT revision 13943:5f6f9f0be:20181023

2018-10-21  6.9.10-13 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-13, GIT revision 13936:2379b24b8:20181021

2018-09-16  6.9.10-12 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-12, GIT revision 13886:d2819c281:20180923

2018-09-08  6.9.10-12 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-08-27  6.9.10-11 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-11, GIT revision 13806:cbb489883:20180828

2018-08-15  6.9.10-11 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).
  * Add support for "module" security policy.

2018-08-13  6.9.10-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-10, GIT revision 13743:8f8009715:20180813

2018-08-12  6.9.10-10 Dirk Lemstra <dirk@lem.....org>
  * Restored thread support for the HEIC coder.

2018-08-08  6.9.10-10 Cristy  <quetzlzacatenango@image...>
  * ThumbnailImage function no longer reveals sensitive information (reference
    https://github.com/ImageMagick/ImageMagick/issues/1243).

2018-08-06  6.9.10-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-9, GIT revision 13721:6fb59a954:20180805.

2018-07-24  6.9.10-9 Cristy  <quetzlzacatenango@image...>
  * XBM coder leaves the hex image data uninitialized if hex value of the
    pixel is negative.
  * More improvements to SVG text handling.

2018-07-23  6.9.10-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-8, GIT revision 13693:88aeaf9d9:20180723.

2018-07-20  6.9.10-8 Cristy  <quetzlzacatenango@image...>
  * Non-HDRI ScaleLongToQuantum() private method no longer adds a half interval.
  * Fixed memset() negative-size-param (reference
    https://github.com/ImageMagick/ImageMagick/issues/1217).

2018-07-16  6.9.10-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-7, GIT revision 13676:dab6babe2:20180716.

2018-07-15  6.9.10-7 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-07-08  6.9.10-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-6, GIT revision 13660:181df547c:20180708.

2018-07-08  6.9.10-6 Cristy  <quetzlzacatenango@image...>
  * Improve SVG support for tspan element.
  * Add support for -fx image.extent.

2018-07-04  6.9.10-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-5, GIT revision 13643:fe71cc8b2:20180704.

2018-07-04  6.9.10-5 Cristy  <quetzlzacatenango@image...>
  * Fixed a few potential memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2018-07-02  6.9.10-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-4, GIT revision 13635:c1c026715:20180702.

2018-06-28  6.9.10-4 Cristy  <quetzlzacatenango@image...>
  * Small tweaks to compile under Cygwin.
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).
  * Support %B property, the image file size without any decorations.

2018-06-24  6.9.10-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-3, GIT revision 13618:69366aab3:20180624.

2018-06-18  6.9.10-2 Cristy  <quetzlzacatenango@image...>
  * More rovust SVG text handling.

2018-06-16  6.9.10-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-1, GIT revision 13595:dafb03062:20180616.

2018-06-16  6.9.10-1 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).
  * Fixed an issue with stroke and label: (reference

2018-06-12  6.9.10-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.10-0, GIT revision 13585:82d7dbe0b:20180612.

2018-06-11  6.9.10-0 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-06-11  6.9.9-51 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-51, GIT revision 13574:a58324488:20180611.

2018-06-06  6.9.9-51 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-06-02  6.9.9-50 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-50, GIT revision 13539:2ae91d95c:20180602.

2018-05-30  6.9.9-50 Cristy  <quetzlzacatenango@image...>
  * Heap buffer overflow fix (reference
    https://github.com/ImageMagick/ImageMagick/issues/1156).
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-05-29  6.9.9-49 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-49, GIT revision 13521:00f535ee9:20180529.

2018-05-29  6.9.9-49 Cristy  <quetzlzacatenango@image...>
  * Properly initialize SVG color style.

2018-05-28  6.9.9-48 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-47, GIT revision 13518:5cef106dc:20180528.

2018-05-28  6.9.9-48 Cristy  <quetzlzacatenango@image...>
  * A SVG rectangle with a width and height of 1, is a point.

2018-05-21  6.9.9-47 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-47, GIT revision 13489:3ff167343:20180521.

2018-05-21  6.9.9-47 Cristy  <quetzlzacatenango@image...>
  * Fixed memory corruption for MVG paths.

2018-05-20  6.9.9-46 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-46, GIT revision 13483:ced03dfb8:20180520.

2018-05-19  6.9.9-46 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).
  * Fixed errant 'not enough pixel data' (reference
    https://github.com/ImageMagick/ImageMagick/issues/1133).

2018-05-16  6.9.9-45 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-45, GIT revision 13456:e027e2bb4:20180513.

2018-05-16  6.9.9-45 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-05-13  6.9.9-44 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-44, GIT revision 13456:e027e2bb4:20180513.

2018-05-03  6.9.9-43 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-05-01  6.9.9-42 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-42, GIT revision 13394:69b3ddf2e:20180501.

2018-05-01  6.9.9-42  <quetzlzacatenango@image...>
  * Missing break when checking "compliance" element.

2018-04-30  6.9.9-41 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-41, GIT revision 13379:e819f52a2:20180430.

2018-03-26  6.9.9-41 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory

2018-03-24  6.9.9-40 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-40, GIT revision 13136:8b7024499:20180325.

2018-03-21  6.9.9-40 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-03-18  6.9.9-39 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-39, GIT revision 13067:ae2245e56:20180318.

2018-03-17  6.9.9-39 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-03-11  6.9.9-38 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-38, GIT revision 13009:9f53c16ef:20180311.

2018-03-09  6.9.9-38 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-03-04  6.9.9-37 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-37, GIT revision 12940:93dff0b31:20180304.

2018-03-04  6.9.9-37 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-02-25  6.9.9-36 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-36, GIT revision 12898:fad4ecb37:20180225.

2018-02-19  6.9.9-36 Cristy  <quetzlzacatenango@image...>
  * Do not refer to page in OptimizeLayerFrames (reference
    https://github.com/ImageMagick/ImageMagick/pull/987).
  * PerlMagick unit tests pass again.
  * Fixed numerous use of uninitialized values, integer overflow,
    memory exceeded, and timeouts (credit to OSS Fuzz).

2018-02-18  6.9.9-35 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-35, GIT revision 12843:46d8215af:20180218.

2018-02-09  6.9.9-35 Dirk Lemstra <dirk@lem.....org>
  * Add support for reading the HEIC image format to the Windows build.

2018-01-23  6.9.9-35 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow,
    memory exceeded, and timeouts (credit to OSS Fuzz).
  * Add list-length policy to limit the maximum image sequence length.

2018-01-22  6.9.9-34 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-34, GIT revision 12574:5370ede60:20180122.

2018-01-06  6.9.9-34 Cristy  <quetzlzacatenango@image...>
  * Support aspect ratio geometry, e.g. -crop 3:2.
  * Add support for reading the HEIC image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/507).
  * Fix IM build when HEIC is enabled.
  * Fixed numerous memory leaks, credit to OSS Fuzz.

2018-01-06  6.9.9-33 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-33, GIT revision 12491:5c40f3a88:20180106.

2018-01-06  6.9.9-33 Dirk Lemstra <dirk@lem.....org>
  * Fix some enum values in the OpenCL code.

2018-01-06  6.9.9-32 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-32, GIT revision 12489:33a04d3e5:20180105.

2018-01-05  6.9.9-32 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2018-01-01  6.9.9-31 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-31, GIT revision 12477:7701c8ade:20180101.

2017-12-29  6.9.9-31 Cristy  <quetzlzacatenango@image...>
  * Check for webpmux library version 0.4.4 (reference
    https://github.com/ImageMagick/ImageMagick/issues/896).

2017-12-28  6.9.9-30 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-30, GIT revision 12462:c2c8f1ab2:20171228.

2017-12-28  6.9.9-30 Cristy  <quetzlzacatenango@image...>
  * Fix error reading from pipe under Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=33288).

2017-12-26  6.9.9-29 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-29, GIT revision 12459:90e2b0782:20171227.

2017-12-26  6.9.9-29 Cristy  <quetzlzacatenango@image...>
  * Fix heap use after free error (reference
    https://github.com/ImageMagick/ImageMagick/issues/918).

2017-12-24  6.9.9-28 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-28, GIT revision 12438:b01f6cc52:20171225.

2017-12-18  6.9.9-28 Cristy  <quetzlzacatenango@image...>
  * Fix error reading multi-layer XCF image file.
  * Fix possible stack overflow in WEBP reader (reference
    https://github.com/ImageMagick/ImageMagick/issues/907)
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-12-16  6.9.9-27 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-27, GIT revision 12369:82d92312a:20171216.

2017-12-08  6.9.9-27 Cristy  <quetzlzacatenango@image...>
  * Overall standard deviation is the average of each pixel channel (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).

2017-12-06  6.9.9-26 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-26, GIT revision 12341:8f0e0897b:20171205.

2017-11-30  6.9.9-26 Cristy  <quetzlzacatenango@image...>
  * Support Stereo composite operator.
  * Fix build failure with --without-modules (reference
    https://github.com/ImageMagick/ImageMagick/issues/890).

2017-11-30  6.9.9-25 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-25, GIT revision 12329:9a5a16a1d:20171130.

2017-11-30  6.9.9-25 Cristy  <quetzlzacatenango@image...>
  * Fix build failure with libraw 0.14.8 (reference
    https://github.com/ImageMagick/ImageMagick/issues/888).

2017-11-29  6.9.9-24 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-24, GIT revision 12324:5ef2c5a67:20171129.

2017-11-17  6.9.9-24 Cristy  <quetzlzacatenango@image...>
  * Support HDRI color profile management.
  * Don't delete in-memory blob when reading an image (reference
    https://github.com/ImageMagick/ImageMagick/issues/886).

2017-11-11  6.9.9-23 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-23, GIT revision 12245:6dea84616:20171111.

2017-11-10  6.9.9-23 Dirk Lemstra <dirk@lem.....org>
  * Fixed initialization of OpenCL (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=33044).

2017-11-05  6.9.9-22 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-22, GIT revision 12235:27954ec10:20171105.

2017-11-03  6.9.9-22 Dirk Lemstra <dirk@lem.....org>
  * Fixed a problem with resource bookkeeping in AcquireMatrixInfo().

2017-10-31  6.9.9-21 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-21, GIT revision 12218:43b16fff0:20171031.

2017-10-29  6.9.9-21 Cristy  <quetzlzacatenango@image...>
  * Encode JSON control characters (reference
    https://github.com/ImageMagick/ImageMagick/issues/848).

2017-10-15  6.9.9-20 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-20, GIT revision 12187:fff1bee84:20171015.

2017-10-08  6.9.9-20 Cristy  <quetzlzacatenango@image...>
  * Return expected results for a percent 0 -chop option argument (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32806).
  * Tweaks to OpenMP support within ImageMagick.

2017-10-07  6.9.9-19 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-19, GIT revision 12151:be787b70d:20171007.

2017-10-06  6.9.9-19 Cristy  <quetzlzacatenango@image...>
  * Correct handling of GIF transparency (reference
    https://github.com/ImageMagick/ImageMagick/issues/831).

2017-10-04  6.9.9-18 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-18, GIT revision 12147:f18d78856:20171004.

2017-10-02  6.9.9-18 Cristy  <quetzlzacatenango@image...>
  * Resetting the magick_list_initialized boolean when needed (reference
    https://github.com/ImageMagick/ImageMagick/pull/826).

2017-10-01  6.9.9-17 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-17, GIT revision 12132:c19d58e90:20171001.

2017-10-01  6.9.9-17 Cristy  <quetzlzacatenango@image...>
  * Fix broken build (reference
    https://github.com/ImageMagick/ImageMagick/issues/823).

2017-10-01  6.9.9-16 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-16, GIT revision 12125:723b0aa6a:20171001.

2017-09-28  6.9.9-16 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/pull/763).
  * Support URW-base35 fonts.

2017-09-23  6.9.9-15 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-15, GIT revision 12079:839a14e43:20170923.

2017-09-23  6.9.9-15 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-09-17  6.9.9-14 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-14, GIT revision 12050:b9c9b5fe7:20170917.

2017-09-17  6.9.9-14 ADLab of Venustech
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/pull/763).

2017-09-15  6.9.9-14 Glenn Randers-Pehrson <glennrp@image...>
  * Stop poential leaks in the JNG decoder (reference:
    https://github.com/ImageMagick/ImageMagick/issues/760).
  * Maximum valid hour is 23, not 24, in the PNG tIME chunk, and maximum
    valid minute is 59, not 60.

2017-09-12  6.9.9-13 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-13, GIT revision 12008:9730b86ce:20170912.

2017-09-11  6.9.9-13 Glenn Randers-Pehrson <glennrp@image...>
  * Use signed integer arithmetic to calculate timezone corrections (reference
    https://github.com/ImageMagick/ImageMagick/issues/685).

2017-09-09  6.9.9-12 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-12, GIT revision 11996:fca0f6e33:20170909.

2017-09-07  6.9.9-12 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * The 'compare' difference image now respects the -fuzz option.

2017-09-03  6.9.9-11 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-11, GIT revision 11969:a12fbb873:20170903.

2017-08-28  6.9.9-11 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Don't overwrite symbolic links when the shred policy is enabled.

2017-08-27  6.9.9-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-10, GIT revision 11936:a8112a821:20170827.

2017-08-26  6.9.9-10 Dirk Lemstra <dirk@lem.....org>
  * Fixed thread safety issue inside the pango and librsvg decoder
    (reference: https://github.com/dlemstra/Magick.NET/issues/91).

2017-08-20  6.9.9-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-9, GIT revision 11915:5205bda17:20170820.

2017-08-18  6.6.9-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with writing tIME chunk when timezone has a negative offset
    (reference: https://github.com/ImageMagick/ImageMagick/issues/685).

2017-08-18  6.9.9-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-8, GIT revision 11906:26078285f:20170818.

2017-08-18  6.9.9-8 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-08-12  6.9.9-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-7, GIT revision 11893:8c4c56a0e:20170812
    (Windows binaries out of sync).

2017-08-10  6.9.9-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-6, GIT revision 11886:af2b102db:20170810.

2017-08-10  6.9.9-6 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-08-10  6.9.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * tests/validate.c: Show the reason for failures in the test logs,
    if available.

2017-08-03  6.9.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Put UTC time in the PNG tIME chunk instead of local time (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32447).

2017-08-02  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-5, GIT revision 11858:7a555e53f:20170802.

2017-08-01  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-29  6.9.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Properly set image->colorspace in the PNG decoder (previously
    it was setting image->gamma, but only setting image->colorspace
    for grayscale and gray-alpha images.  Reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32418).
  * Fix improper use of NULL in the JNG decoder (CVE-2017-11750, Reference
    https://github.com/ImageMagick/ImageMagick/issues/632).

2017-07-29  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Off by one error for gradient coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32416).

2017-07-28  6.9.9-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-4, GIT revision 11833:4e81160d6:20170728.

2017-07-25  6.9.9-4 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * coders/png.c: Initialized quantum_scanline to prevent a bad free
    (reference https://github.com/ImageMagick/ImageMagick/issues/621).

2017-07-24  6.9.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Removed write_chunk_from_profile() from coders/png.c because it
    has not worked at least since version 6.7.6.
  * Removed many redundant checks before RelinquishMagickMemory(),
    which is safe to call with a NULL argument.
  * Removed vpAg chunk write support (we are now writing caNv instead).
  * coders/png.c: Initialized quantum_info to prevent memory leakage
    (reference https://github.com/ImageMagick/ImageMagick/issues/582,
    CVE-2017-11539).
  * coders/png.c: fixed NULL dereference when trying to write an empty MNG
    (CVE-2017-11522, reference
    https://github.com/ImageMagick/ImageMagick/issues/586).

2017-07-24  6.9.9-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-3, GIT revision 11809:2bd88257b:20170724.

2017-07-23  6.9.9-3 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-23  6.9.9-3 Glenn Randers-Pehrson <glennrp@image...>
  * Fix memory leaks when reading a malformed JNG image:
    https://github.com/ImageMagick/ImageMagick/issues/600 (CVE-2017-13141),
    https://github.com/ImageMagick/ImageMagick/issues/602 (CVE-2017-12565).

2017-07-22  6.9.9-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-2, GIT revision 11786:21b23bf09:20170722.

2017-07-22  6.9.9-2 Cristy  <quetzlzacatenango@image...>
  * composite -dissolve works again reference
    https://github.com/ImageMagick/ImageMagick/issues/597).

2017-07-21  6.9.9-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-1, GIT revision 11782:75f7e994e:20170721.

2017-07-19  6.9.9-1 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-15  6.9.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write a hex-encoded Exif profile when writing the eXIf chunk.
  * Added caNv, eXIf, and pHYs to the list of PNG chunks to be removed
    by the "-strip" option.

2017-07-15  6.9.9-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-0, GIT revision 11738:8903861b2:20170715.

2017-07-13  6.9.9-0 Glenn Randers-Pehrson <glennrp@image...>
  * Implemented PNG eXIf chunk support.

2017-07-08  6.9.9-0 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Don't use variable float_t / double_t, bump SO (reference
    https://github.com/ImageMagick/ImageMagick/issues/510).
  * Support DNG images with libraw delegate library.

2017-06-10  6.9.8-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-10, GIT revision 11637:eb6f363:20170610.

2017-06-10  6.9.8-10 Cristy  <quetzlzacatenango@image...>
  * Introduce SetMagickSecurityPolicy() (MagickCore) and
    MagickSetSecurityPolicy() (MagickWand) to set the ImageMagick security
    policy (reference https://github.com/ImageMagick/ImageMagick/issues/407).

2017-06-02  6.9.8-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-9, GIT revision 11625:91bb35e:20170602.

2017-06-02  6.9.8-9 Cristy  <quetzlzacatenango@image...>
  * Fix choppy bitmap font rendering (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32071).
  * Add support for 'hex:' property.

2017-05-28  6.9.8-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-8, GIT revision 11606:8b67333:20170528.

2017-05-28  6.9.8-8 Cristy  <quetzlzacatenango@image...>
  * Transient error validating the JPEG-2000 image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/501).
  * Properly allocate DCM image colormap (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=32063).

2017-05-26  6.9.8-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-7, GIT revision 11598:07d1dee:20170526.

2017-05-23  6.9.8-7 Cristy  <quetzlzacatenango@image...>
  * Improper allocation of memory for IM instances without threads (reference
	  https://github.com/ImageMagick/ImageMagick/issues/497).
  * Delete corrupt image from list (reference
    https://github.com/ImageMagick/ImageMagick/issues/500).

2017-05-19  6.9.8-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-6, GIT revision 11590:7ce2d38:20170519.

2017-05-15  6.9.8-6 Cristy  <quetzlzacatenango@image...>
  * Support various image operators for the compare utility (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=31938).

2017-05-12  6.9.8-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-5, GIT revision 11575:186b15d:20170512.

2017-05-10  6.9.8-5 John Cupitt <jcupitt@gmail.com>
  * Revise DICOM window and rescale handling (reference
    https://github.com/ImageMagick/ImageMagick/pull/484)

2017-05-08  6.9.8-5 Cristy  <quetzlzacatenango@image...>
  * Fix transient PDF bug (reference
    https://github.com/ImageMagick/ImageMagick/issues/463).
  * Check for EOF conditions for RLE image format.
  * Reset histogram page geometry (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31920).

2017-04-24  6.9.8-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-4, GIT revision 11521:d7433aa:20170424.

2017-03-26  6.9.8-4 Cristy  <quetzlzacatenango@image...>
  * Minimize buffer copies to improve OpenCL performance.
  * Patch a PCD writer problem, dark pixels (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=3164).
  * Support ICC based PDF's (reference
    https://github.com/ImageMagick/ImageMagick/issues/417).

2017-03-24  6.9.8-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-3, GIT revision 11444:3f523e5:20170324.

2017-03-20  6.9.8-3 Cristy  <quetzlzacatenango@image...>
  * MagickWand-config, use --cflags, not --clags (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31602).
  * Respect -loop option for animate -window (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31619).

2017-03-18  6.9.8-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-2, GIT revision 11436:a912791:20170318.

2017-03-14  6.9.8-2 Cristy  <quetzlzacatenango@image...>
  * Support namespaces for the security policy.

2017-03-11  6.9.8-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-1.

2017-03-03  6.9.8-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-0, GIT revision 11408:da91a7c:20170311.

2017-03-06  6.9.8-0 Cristy  <quetzlzacatenango@image...>
  * Respect throttle policy (reference
    https://github.com/ImageMagick/ImageMagick/issues/393).
  * Support the -authenticate option for PDF (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31530).

2017-03-03  6.9.7-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-10, GIT revision 11396:44b1bc6:20170303.

2017-02-21  6.9.7-10 Cristy  <quetzlzacatenango@image...>
  * Fix Spurious memory allocation message (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31438).
  * Identical images should return inf for PSNR (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31487).

2017-02-18  6.9.7-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-9, GIT revision 11371:126c7c9:20170218.

2017-02-18  6.9.7-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed fd leak for webp coder (reference
    https://github.com/ImageMagick/ImageMagick/pull/382)

2017-02-15  6.9.7-9 Cristy  <quetzlzacatenango@image...>
  * Prevent random pixel data for corrupt JPEG image (bug report from
    Hirokazu Moriguchi, Sony).
  * Support pixel-cache and shred security policies.

2017-02-12  6.9.7-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-8.

2017-02-09  6.9.7-8 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when creating nested exceptions in Magick++ (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=23&p=142634)

2017-02-06  6.9.7-8 Cristy  <quetzlzacatenango@image...>
  * Eliminate bogus assertion (reference
    https://github.com/ImageMagick/ImageMagick/issues/372).
  * Unbreak build without JPEG support (reference
    https://github.com/ImageMagick/ImageMagick/pull/373).

2017-02-04  6.9.7-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-7, GIT revision 11338:cc980d1:20170204.

2017-01-28  6.9.7-7 Cristy  <quetzlzacatenango@image...>
  * Sanitize comments that include braces for the MIFF image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/368).

2017-01-27  6.9.7-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-6, GIT revision 11327:6b2f052:20170127.

2017-01-27  6.9.7-6 Cristy  <quetzlzacatenango@image...>
  * Uninitialized data in MAT image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/362).

2017-01-22  6.9.7-6 Glenn Randers-Pehrson <glennrp@image...>
  * Renamed read_vpag_chunk_callback() function to png_user_chunk_callback()
    in coders/png.c
  * Implemented a private PNG caNv (canvas) chunk for remembering the
    original dimensions and offsets when an image is cropped.  Previously
    we used the oFFs and vpAg chunks for this purpose, but this had potential
    conflicts with other applications that also use the oFFs chunk.
  * coders/png.c: Added support for a proposed new PNG chunk (exIf
    read-write, eXIf read-only) that is currently being discussed on the
    png-mng-misc at lists.sourceforge.net mailing list.

2017-01-14  6.9.7-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-5, GIT revision 11306:cd9b64b:20170121.

2017-01-18  6.9.7-5 Cristy  <quetzlzacatenango@image...>
  * Don't set background for transparent tiled images (reference
    http://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31210).

2017-01-14  6.9.7-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-4, GIT revision 11293:c359058:20170114.

2017-01-14  6.9.7-4 Dirk Lemstra <dirk@lem.....org>
  * Added support for RGB555, RGB565, ARGB4444 and ARGB1555 to the
    BMP encoder (reference
    https://github.com/ImageMagick/ImageMagick/issues/344).

2017-01-10  6.9.7-4 Cristy  <quetzlzacatenango@image...>
  * Recognize XML policy closing tags (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31182).
  * Fix memory leak in MPC image format.

2017-01-07  6.9.7-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-3, GIT revision 11280:7d65a81:20170107.

2017-01-04  6.9.7-3 Cristy  <quetzlzacatenango@image...>
  * Increase memory allocation for TIFF pixels (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31161).

2017-01-03  6.9.7-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-2, GIT revision 11274:2faf8d7:20170103.

2017-01-02  6.9.7-2 Cristy  <quetzlzacatenango@image...>
  * Validation unit test for MNG works again.

2016-12-31  6.9.7-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-1, GIT revision 11265:2b38406:20161231.

2016-12-26  6.9.7-1 Cristy  <quetzlzacatenango@image...>
  * Initialize draw_info alpha member to OpaqueAlpha.
  * The TMPDIR environment variable has precedence over P_tmpdir (reference
    https://github.com/ImageMagick/ImageMagick/issues/337).
  * Monochrome images no longer have inverted colors (reference
    https://github.com/ImageMagick/ImageMagick/issues/332).

2016-12-10  6.9.7-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-0, GIT revision 11230:d5e8abc:20161218.

2016-12-14  6.9.7-0 Cristy  <quetzlzacatenango@image...>
  * Bump release to 6.9.7 to ensure coinstallability of old and new library.
  * Lazily evaluate the image storage class and colorspace to prevent cache
    allocation when pinging an image.
  * Do not close path for linejoins of round (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31039).

2016-12-10  6.9.6-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-8, GIT revision 11219:11d48fe:20161210.

2016-12-07  6.9.6-8 Cristy  <quetzlzacatenango@image...>
  * Set colorspace to sRGB if -append has non-homogenous colorspaces (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29105).
  * Respect connected-components:area-threshold define (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31006).
  * Return correct offset for negative index for -fx option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31019).
  * ABI breakage requires an SO bump (reference
    https://github.com/ImageMagick/ImageMagick/issues/320).
  * Fixed improper scaling of certain FITS images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31028).
  * Properly center text label (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=31027).

2016-12-05  6.9.6-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-7, GIT revision 11188:668b60c:20161205.

2016-12-02  6.9.6-7 Cristy  <quetzlzacatenango@image...>
  * Fix possible buffer overflow when writing compressed TIFFS (vulnerability
    report from Cisco Talos, CVE-2016-8707).

2016-11-25  6.9.6-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-6, GIT revision 11169:94edafc:20161125.

2016-11-20  6.9.6-6 Cristy  <quetzlzacatenango@image...>
  * If a convenient line break is not found, force it for caption: (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30887).
  * Off by 1 error when computing the standard deviation (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=30866).
  * Apply Debian patches, (reference
    https://github.com/ImageMagick/ImageMagick/issues/304).
  * Permit EPT images with just a TIFF or EPS image, not both (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30921).
  * The -clone option no longer leak memory.

2016-11-15  6.9.6-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-5, GIT revision 11139:5175b3c:20161115.

2016-11-10  6.9.6-5 Cristy  <quetzlzacatenango@image...>
  * Web pages were broken when we moved to HTTPS protocol.
  * Restore -sharpen / -convolve options to work with CMYK (reference
    https://github.com/ImageMagick/ImageMagick/issues/299).

2016-11-08  6.9.6-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-4, GIT revision 11130:d7a7e4d:20161108.

2016-11-01  6.9.6-4 Cristy  <quetzlzacatenango@image...>
  * Off by one memory allocation (reference
    https://github.com/ImageMagick/ImageMagick/issues/296).
  * Prevent fault in MSL interpreter (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30797).

2016-10-30  6.9.6-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-3, GIT revision 11117:e857a26:20161030.

2016-10-16  6.9.6-3 Dirk Lemstra <dirk@lem.....org>
  * Added layer ZIP compression to the PSD encoder.

2016-10-10  6.9.6-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-2, GIT revision 11095:14d2cea:20161010.

2016-10-10  6.9.6-2 Cristy  <quetzlzacatenango@image...>
  * Unit test pass again after small SUN image patch.

2016-10-07  6.9.6-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-1, GIT revision 11092:1f7ca24:20161008.

2016-10-07  6.9.6-1 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect RLE decoding when reading a DCM image that contains
    multiple segments.

2016-10-02  6.9.6-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-0, GIT revision 11078:9aec251:20161002.

2016-09-27  6.9.6-0 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect RLE decoding when reading an SGI image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30514)

2016-09-05  6.9.5-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-10, GIT revision 11054:ddda572:20160920.

2016-09-17  6.9.5-10 Dirk Lemstra <dirk@lem.....org>
  * Added layer RLE compression to the PSD encoder.
  * Added define 'psd:preserve-opacity-mask' to preserve the opacity mask
    in a PSD file.
  * Fixed issue where the display window was used instead of the data window
    when reading EXR files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=137849).

2016-09-05  6.9.5-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-9, GIT revision 11029:777f14c:20160905.

2016-08-31  6.9.5-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect padding calculation in PSD encoder.

2016-08-27  6.9.5-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-8, GIT revision 11015:e3335b3:20160827.

2016-08-27  6.9.5-8 Dirk Lemstra <dirk@lem.....org>
  * Added define 'psd:additional-info' to preserve the additional information
    in a PSD file.

2016-08-15  6.9.5-8 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow in BMP & SGI coders (bug report from
	  pwchen&rayzhong of tencent).
  * Fix MSVG regression (reference
    https://github.com/ImageMagick/ImageMagick/issues/252).
  * Prevent buffer overflow and other problems in SIXEL, PDB, MAP, TIFF, and
	  CALS coders (bug report from Donghai Zhu).

2016-08-14  6.9.5-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-7, GIT revision 10993:7d2fd25:20160814.

2016-08-14  6.9.5-7 Cristy  <quetzlzacatenango@image...>
  * Eliminate compiler warning.

2016-08-14  6.9.5-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-6, GIT revision 10991:ab76b09:20160814

2016-08-07  6.9.5-6 Cristy  <quetzlzacatenango@image...>
  * Prevent spurious removal of MPC cache files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30256).

2016-08-06  6.9.5-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-5, GIT revision 10980:ecc03a2:20160806.

2016-08-03  6.9.5-5 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow (bug report from Max Thrane).
  * Prevent memory use after free (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=30245).

2016-07-30  6.9.5-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-4, GIT revision 10973:a00fa93:20160729.

2016-07-35  6.9.5-4 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow (bug report from Ibrahim el-sayed).

2016-07-15  6.9.5-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-3, GIT revision 18627:2b5ddbd:20160721.

2016-07-13  6.9.5-3 Cristy  <quetzlzacatenango@image...>
  * Fix MVG stroke-opacity (reference
    https://github.com/ImageMagick/ImageMagick/issues/229).
  * Prevent possible buffer overflow when reading TIFF images (bug report from
    Shi Pu of MS509 Team).

2016-07-11  6.9.5-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-2, GIT revision 18591:50debe5:20160710.

2016-07-10  6.9.5-2 Cristy  <quetzlzacatenango@image...>
  * To comply with the SVG standard, use stroke-opacity for transparent strokes.

2016-07-09  6.9.5-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-1, GIT revision 18572:28560fc:20160709.

2016-07-04  6.9.5-1 Cristy  <quetzlzacatenango@image...>
  * The histogram coder now returns the correct extent.
  * Use CopyMagickString() rather than CopyMagickMemory() for strings.

2016-06-26  6.9.5-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-0, GIT revision 18514:a7b5b46:20160626.

2016-06-23  6.9.5-0 Cristy  <quetzlzacatenango@image...>
  * Correct for numerical instability (reference
    https://github.com/ImageMagick/ImageMagick/issues/218).

2016-06-21  6.9.4-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-10, GIT revision 10907:a08de63:20160622.

2016-06-17  6.9.4-10 Dirk Lemstra <dirk@lem.....org>
  * Added support for GROUP4 compression to the FAX coder.

2016-06-17  6.9.4-10 Cristy  <quetzlzacatenango@image...>
  * Don't return a zero bounding box for QueryMultilineFontMetrics() (reference
    https://github.com/ImageMagick/ImageMagick/issues/222).

2016-06-12  6.9.4-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-9, GIT revision 10884:f0e15e8:20160612.

2016-06-09  6.9.4-9 Cristy  <quetzlzacatenango@image...>
  * Backoff finite precision epsilon (reference
    https://github.com/ImageMagick/ImageMagick/issues/215).
  * Fix drawing glitch for stroke widths greater than 2 (reference
    https://github.com/ImageMagick/ImageMagick/issues/218).

2016-06-05  6.9.4-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-8, GIT revision 18406:ba4ad2d:20160607.

2016-06-04  6.9.4-8 Cristy  <quetzlzacatenango@image...>
  * RLE check for pixel offset less than 0 (heap overflow report from Craig
    Young).
  * Properly initialze PES blocks (reference
    https://github.com/ImageMagick/ImageMagick/issues/213).

2016-06-03  6.9.4-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-7, GIT revision 10847:339f803:20160602.

2016-06-02  6.9.4-7 Cristy  <quetzlzacatenango@image...>
  * Fix small memory leak (patch provided by Андрей Черный).
  * Coder path traversal is not authorized (bug report provided by
    Masaaki Chida).
  * Turn off alpha channel for the compare difference image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29828).

2016-05-31  6.9.4-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-6, GIT revision 18334:97775b5:20160531.

2016-05-31  6.9.4-6 Cristy  <quetzlzacatenango@image...>
  * Support configure script --enable-pipes option to enable pipes (|) in
    filenames.
  * Support configure script --enable-indirect-reads option to enable
    indirect reads (@) in filenames.

2016-05-30  6.9.4-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-5, GIT revision 18321:5511ef5:20160530.

2016-05-28  6.9.4-5 Dirk Lemstra <dirk@lem.....org>
  * Most OpenCL operations are now executed asynchronous.

2016-05-25  6.9.4-5 Cristy  <quetzlzacatenango@image...>
  * Security improvements to TEXT coder broke it (reference
  * Prevent possible shell command injection vulnerability through the
    authenticate parameter of the PDF, PCL and XPS coders (report from
    Erez Turjeman).
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29754).
  * Fix stroke offset problem for -annotate (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29626).
  * Add additional checks to DCM reader to prevent data-driven faults (bug
    report from Hanno Böck).

2016-05-21  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-4, GIT revision 18241:d4f277c:20160521.

2016-05-20  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Fixed proper placement of text annotation for east / west gravity.

2016-05-15  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-4, GIT revision 10789:f7c2e89:20160518.

2016-05-15  6.9.4-3 Cristy  <quetzlzacatenango@image...>
  * Fix pixel cache on disk regression (reference
    https://github.com/ImageMagick/ImageMagick/issues/202).

2016-05-15  6.9.4-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-2, GIT revision 10778:52dae14:20160516.

2016-05-10  6.9.4-2 Cristy  <quetzlzacatenango@image...>
  * Quote passwords when passed to a delegate program.
  * Can read geo-related EXIF metdata once-again (reference
    https://github.com/ImageMagick/ImageMagick/issues/198).
  * Sanitize all delegate emedded formatting characters.
  * Don't sync pixel cache in AcquireAuthenticCacheView() (bug report from
    Hanno Böck).

2016-05-09  6.9.4-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-1, GIT revision 10755:d540dda:20160509.

2016-05-07  6.9.4-1 Cristy  <quetzlzacatenango@image...>
  * Remove https delegate.

2016-05-05  6.9.4-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-0, GIT revision 10741:5746147:20160507.

2016-05-04  6.9.4-0 Cristy  <quetzlzacatenango@image...>
  * Check for buffer overflow in magick/draw.c/DrawStrokePolygon().
  * Replace show delegate title with image filename rather than label.
  * Fix GetNextToken() off by one error.
  * Remove support for internal ephemeral coder.

2016-05-03  6.9.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-10, GIT revision 10723:9fc8a0c:20160503.

2016-05-03  6.9.3-10 Cristy  <quetzlzacatenango@image...>
  * Sanitize input filename for http / https delegates (improved patch).
  * Fix for possible security vulnerabilities (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=4&t=29588).

2016-04-30  6.9.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-9, GIT revision 10716:b527bce:20160430.

2016-04-12  6.9.3-9 Cristy  <quetzlzacatenango@image...>
  * Sanitize input filename for http / https delegates.
  * Indirect filename must be authorized by policy.
  * The txt coder now properly reports Lab colors (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=2944).

2016-04-11  6.9.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-8, GIT revision 10690:d058a53:20160411

2016-03-22  6.9.3-8 Cristy  <quetzlzacatenango@image...>
  * Respect gravity when rendering text (e.g. convert -gravity center my.txt)
  * Return empty string for %d property and no directory (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29365)
  * Return filename for the %i property (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=29364).
  * Fixed lost pixels in frequency space (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29374).

2016-03-06  6.9.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-7, GIT revision 10628:810a9fe:20160306

2016-03-05  6.9.3-7 Dirk Lemstra <dirk@lem.....org>
  * -size can now be used the specify the maximum width/height for the
    following vector formats:
      * SVG (when librsvg and cairo are being used).
      * EMF (did not work on Windows).

2016-02-29  6.9.3-7 Cristy  <quetzlzacatenango@image...>
  * Fixed text alignment issue for label: / coder: (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29223).

2016-02-27  6.9.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-6, GIT revision 10597:83584a1:20160228.

2016-02-25  6.9.3-6 Cristy  <quetzlzacatenango@image...>
  * Ensure TXT: image format survives round-trip (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29206).

2016-02-21  6.9.2-6 Dirk Lemstra <dirk@lem.....org>
  * Added wavelet denoise.

2016-02-20  6.9.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-5, GIT revision 10572:cb24a69:20160219.

2016-02-16  6.9.3-5 Cristy  <quetzlzacatenango@image...>
  * Too many bytes when writing raw image formats (reference
    https://github.com/ImageMagick/ImageMagick/issues/132).

2016-02-12  6.9.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-4, GIT revision 10560:09f5f5d:20160212.

2016-02-12  6.9.3-4 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when reading an SVG without width/height (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=27&p=130197).

2016-02-09  6.9.3-4 Cristy  <quetzlzacatenango@image...>
  * Fix compiler error for complext text layout.

2016-02-05  6.9.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-3, GIT revision 10540:6b4c918:20160206.

2016-02-04  6.9.3-3 Cristy  <quetzlzacatenango@image...>
  * Numerous bugs fixed from fuzzed images (reference
    https://github.com/ImageMagick/ImageMagick/issues/123).
  * The -bias option is no longer a noop (reference
    https://github.com/ImageMagick/ImageMagick/issues/125).

2016-01-25  6.9.3-3 Dirk Lemstra <dirk@lem.....org>
  * Read XCF layer name (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=129638).

2016-01-23  6.9.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-2, GIT revision 10496:315028c:20160122.

2016-01-17  6.9.3-2 Cristy  <quetzlzacatenango@image...>
  * Don't reuse lock after free (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=29031).

2016-01-21  6.9.3-2 Dirk Lemstra <dirk@lem.....org>
  * Fixed writing DocClass in CALS coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=129478).

2016-01-17  6.9.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-1, GIT revision 10488:e4f046e:20160116.

2016-01-06  6.9.3-1 Cristy  <quetzlzacatenango@image...>
  * Pair AcquireMagickResource with calls to RelinquishMagickResource when
    resource limits are hit (reference
    https://github.com/ImageMagick/ImageMagick/pull/75).
  * Return non-zero for the -format %b option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28969).

2016-01-01  6.9.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-0, GIT revision 10445:620328b:20160101.

2015-12-31  6.9.3-0 Cristy  <quetzlzacatenango@image...>
  * Don't break on euro-style numbers (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28910).

2015-12-22  6.9.3-0 Glenn Randers-Pehrson <glennrp@image...>
  * 16-bit pnm images have a max value of 65535.

2015-12-18  6.9.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-10, GIT revision 10415:e31c09d:20151219.

2015-12-19  6.9.2-10 Cristy  <quetzlzacatenango@image...>
  * Fixed compile error when POSIX threads are not defined.

    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28791).
2015-12-18  6.9.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-9, GIT revision 10402:0027295:20151219

2015-12-05  6.9.2-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when reading incorrect PSD files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28791).

2015-12-05  6.9.2-9 Cristy  <quetzlzacatenango@image...>
  * Enhance PDF to properly handle unicode titles (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28786).
  * Fix memory leak in icon coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=6&t=28848).

2015-12-05  6.9.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-8, GIT revision 10374:ac7d144:20151205.

2015-12-04  6.9.2-8 Cristy  <quetzlzacatenango@image...>
  * Gray artifacts in large gif when using -layers optimize (reference
    https://github.com/ImageMagick/ImageMagick/issues/57).

2015-11-26  6.9.2-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-7, GIT revision 10370:eeb7d4e:20151126.

2015-11-24  6.9.2-7 Dirk Lemstra <dirk@lem.....org>
  * The DICOM reader now handles the rescale intercept and slope.
  * Added 'bmp3:alpha' option for including the alpha channel when writing
    an image in the BMP3 format. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28733).
  * Only one thread permitted when delegating to the Ghostscript library
    under Windows.

2015-11-14  6.9.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-6, GIT revision 10341:f408196:20151113.

2015-11-08  6.9.2-6 Cristy  <quetzlzacatenango@image...>
  * PixelColor off by one on i386 (reference
    https://github.com/ImageMagick/ImageMagick/issues/54).
  * Eliminate stack overflow (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28658).

2015-11-03  6.9.2-6 Dirk Lemstra <dirk@lem.....org>
  * Added local contrast enhancement.
  * Fixed bug in SetPixelCacheExtent that made images all black (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28514).
  * Added support for reading DICOM images with implicit vr little-endian
    transfer syntax.

2015-11-02  6.9.2-6 Samuel Thibault <samuel.thibault@...org>
  * Added 6dot variant for unicode and iso braille formats (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&p=127111).

2015-10-31  6.9.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-5, GIT revision 10316:86a76b6:20151031.

2015-10-15  6.9.2-5 Dirk Lemstra <dirk@lem.....org>
  * Fixed alpha blending issue with semi-transparent pixels in the merged
    image of PSD files. This can be disabled by setting the option
    'psd:alpha-unblend' to 'off' (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28169).
  * Fixed issue in jpeg:extent that prevented it from working (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=126638).
  * Fixed memory leak when reading Photoshop layers in a TIFF file.

2015-10-12  6.9.2-5 Cristy  <quetzlzacatenango@image...>
  * Support gradient:bounding-box, gradient:vector, gradient:center, and
    gradient:radius to shape the gradient rendering.
  * Recognize label:@- as stdin (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28501).
  * Make commas optional for coordinates (e.g. 0,0 256,256).

2015-10-10  6.9.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-4, GIT revision 10273:e00cf21:20151010

2015-10-08  6.9.2-4 Dirk Lemstra <dirk@lem.....org>
  * Fixed accessing subimage in a TIFF photoshop layer (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28469).
  * Fixed out of bounds error in -splice (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28466).

2015-09-25  6.9.2-4 Eric McConville <emcconville@emccon...>
  * Created Manhattan Interpolate method for -sparse-color (reference
    https://github.com/ImageMagick/ImageMagick/pull/36).

2015-09-22  6.9.2-4 Cristy  <quetzlzacatenango@image...>
  * Prevent null pointer access (reference
    https://github.com/ImageMagick/ImageMagick/pull/34).
  * Specify histogram code image format implictedly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28412).
  * Don't round up for JPEG image resolution (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28422).
  * Read the whole image @ image.jp2[0] or an individual tile @ image.jp2[1],
    image.jp2[2].
  * The -caption option no longer fails for filenames with @ prefix (reference
    https://github.com/ImageMagick/ImageMagick/issues/43).
  * Honor $XDG_CONFIG_HOME and $XDG_CACHE_HOME (reference
    https://github.com/ImageMagick/ImageMagick/issues/44).

2015-09-19  6.9.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-3, GIT revision 10235:c40ee57:20150919

2015-09-17  6.9.2-2 Dirk Lemstra <dirk@lem.....org>
  * Added extra checks to avoid out of bounds error when parsing the 8bim
    profile (reference https://github.com/ImageMagick/ImageMagick/issues/31).
  * Fixed size of memory allocation in RLE coder to avoid segfault (reference
    https://github.com/ImageMagick/ImageMagick/issues/32).

2015-09-16  6.9.2-2 Cristy  <quetzlzacatenango@image...>
  * Add Bootstrap MIT license to ImageMagick web CSS and JS.
  * Use modern idiom for autoconf
    Fix a forgotten dir when regenerating html doc (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28363).
  * The -colorspace gray option no long leaves a ghostly shadow (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28350).

2015-09-14  6.9.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-1, GIT revision 10201:5879612:20150913.

2015-09-13  6.9.2-1 Dirk Lemstra <dirk@lem.....org>
  * Preserving image origin in TGA files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28310).

2015-08-15  6.9.2-1 Cristy  <quetzlzacatenango@image...>
  * Support color compliance for TXT format (e.g. -define txt:compliance=css)
    (bug report from Anthony).
  * The first argument of a hsl() color is integer, not percentage (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26072).
  * Limit -fx recursive to avoid stack overflow (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28200).
  * Support inline images with data URLS.
  * Report progress less often (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28299).
  * Don't set image colorspace to gray for -alpha copy option.
  * Fixed a possible memory leak associated with the -sampling-factor option.
  * GetImageType() no longer has side-effects to match behavior of IMv7.

2015-08-15  6.9.2-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-0, GIT revision 10143:3534f6d:20150815.

2015-08-10  6.9.2-0 Cristy  <quetzlzacatenango@image...>
  * Swap pixels for -spread command-line option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28043).
  * fx logical operations short circuit (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28179).
  * Type cast intensity variable (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28182).
  * Fix ModulusAdd & ModulusSubstract for HDRI compositing (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28186).

2015-07-25  6.9.2-0 Dirk Lemstra <dirk@lem.....org>
  * Added "-set colorspace:auto-grayscale false" that will prevent automatic
    conversion to grayscale inside coders that support grayscale.
  * Fixed -list weight and the options for -weight.
  * Added fontFamily, fontStyle, fontWeight and textUnderColor to the Image
    class of Magick++.
  * Fixed reading Photoshop layers of LSB TIFF files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=28045).
  * Fixed memory leak in font cache under Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=6&t=28191).

2015-07-25  6.9.1-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-10, SVN revision 19269.

2015-07-20  6.9.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * coders/magick.c: added "-define h:format=FMT" and
    "-define magick:format=FMT" options. FMT can be any output format
    supported by ImageMagick except "H" or "MAGICK". If this define is
    omitted, the encoder uses GIF by default for pseudoclass images and
    PNM for directclass images, as previously.  Made "MAGICK" (read-write)
    and "H" (write-only) visible in the format list.

2015-07-18  6.9.1-10 Dirk lemstra <dirk@lem.....org>
  * Removed incorrect EOF check in the DDS reader (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28065).

2015-07-18  6.9.1-10 Cristy  <quetzlzacatenango@image...>
  * Fixed undefined behaviors (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28067).
  * Return exception message for unknown image properties.
  * Color shift removed when reading transparent gray images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28081)

2015-07-18  6.9.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-9, SVN revision 19200.

2015-07-12  6.9.1-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed issue with radial gradient in MVG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27995).

2015-07-11  6.9.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-8, SVN revision 19167.

2015-06-25  6.9.1-8 Cristy  <quetzlzacatenango@image...>
  * Correct install location of the Magick++ headers (reference
    https://github.com/ImageMagick/ImageMagick/pull/17/commits).
  * Different gif cropping behavior between versions (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28013).
  * Cannot read properly simple psd file (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=28002).

2015-07-04  6.9.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-7, SVN revision 19121.

2015-06-27  6.9.1-7 Eric Dalquist
  * Fixed and escaped output of the json coder. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=27894).

2015-06-25  6.9.1-7 Cristy  <quetzlzacatenango@image...>
  * Support BPG image format (respects -quality option).
  * A bordered transparent image now remains transparent (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=5&t=27937).
  * The -update option behavior restored (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=27939).

2015-06-13  6.9.1-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-6, SVN revision 18945.

2015-06-14  6.9.1-6 Cristy  <quetzlzacatenango@image...>
  * Cache cloning on disk optimized with sendfile() (if available).
  * Add an additional check for end-of-file for the RLE coder (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3&t=27870).
  * Respect resource limits in AVS coder.

2015-06-13  6.9.1-6 Glenn Randers-Pehrson <glennrp@image...>
  * Reverted change to 6.9.1-3 that skipped palette-building.

2015-06-13  6.9.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-5, SVN revision 18882.

2015-06-03  6.9.1-5 Cristy  <quetzlzacatenango@image...>
  * Use correct scale when interpretting alpha (e.g. rgba(0,0,0,1)).
  * DrawGetVectorGraphics() now returns proper XML (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27751).
  * Support writing EXR files with different color types (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=27759).
  * Prefer PKG_CHECK_MODULES() when searching for delegate libraries.
  * Throw exception if frame option bevel exceeds to the image width / height.
  * Resolve undefined behaviors (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27811).

2015-06-01  6.9.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-4, SVN revision 18697.

2015-06-01  6.9.1-4 Cristy  <quetzlzacatenango@image...>
  * Support 'restrict' keyword under Windows.

2015-05-25  6.9.1-4 Dirk Lemstra <dirk@lem.....org>
  * Added support for reading a user supplied layer mask in PSD files.
  * Added support for reading photoshop layers in TIFF files.

2015-05-24  6.9.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-3, SVN revision 18623.

2015-05-03  6.9.1-3 Dirk Lemstra <dirk@lem.....org>
  * Fixed transparency issue with 16-bit tga files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27469).
  * Fixed writing label and comment in tiff images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25516).
  * Jpeg images no longer have pixels per inch as a default value for density
    units when the density is not set (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27589).
  * Added support for setting the font color with -fill to the pango coder.

2015-05-03  6.9.1-3 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with "-define png:format=x" in png.c, introduced in version
    6.8.9-0, that caused the define to be ignored.
  * Replaced some dead code in ReadJNGImage with an assert().
  * Avoid palette-building when writing a grayscale PNG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27580).

2015-04-20  6.9.1-3 Cristy  <quetzlzacatenango@image...>
  * Support -define compose:clamp=false option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26946).
  * Don't extend any user supplied image buffer in SeekBlob() (bug report
    from a.chernij@corp...).
  * Improved reproducible builds (reference
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783933).
  * Draw a rectangle of width & height of 1 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24874).

2015-04-19  6.9.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-2, SVN revision 18429.

2015-04-09  6.9.1-2 Glenn Randers-Pehrson <glennrp@image...>
  * Avoid using a NULL alpha_image or color_image in the JNG decoder.

2015-04-07  6.9.1-2 Cristy  <quetzlzacatenango@image...>
  * Fix JPEG-2000 transparency on write (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27304).
  * Identify now identifies PSD (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26948).
  * Speed up writing to TGA (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27369).

2015-04-06  6.9.1-2 Dirk Lemstra <dirk@lem.....org>
  * Reduce draw epsilon to increase mathematical stability.
  * Fixed UTF8 issue when determining the current working directory
    on Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27295).

2015-04-04  6.9.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-1, SVN revision 18308.

2015-03-21  6.9.1-1 Cristy  <quetzlzacatenango@image...>
  * Skip empty frames when comparing layers (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27234).

2015-03-21  6.9.1-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-0, SVN revision 18245.

2015-03-17  6.9.1-0 Cristy  <quetzlzacatenango@image...>
  * Grayscale DPX image files are no longer skewed (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27209).

2015-03-16  6.9.1-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fix integer overflow when scaling a 1-bit sample to Q64 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27195).

2015-03-01  6.9.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-10, SVN revision 18299.

2015-03-03  6.9.0-10 Cristy  <quetzlzacatenango@image...>
  * Account for differences in image size when comparing two images (bug
    report from Dirk).
  * Set an upper ceiling compression with -quality and jpeg:extent (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=27071).

2015-03-01  6.9.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-9, SVN revision 18179.

2015-02-22  6.9.0-9 Cristy  <quetzlzacatenango@image...>
  * Writing histograms / mpeg working again (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27089).
  * The -linear-stretch option worked for Q16 but not Q32 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27112).

2015-02-22  6.9.0-8 Cristy  <quetzlzacatenango@image...>
  * Bogus release, withdrawn.

2015-02-22  6.9.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-7, SVN revision 18067.

2015-02-15  6.9.0-7 Cristy  <quetzlzacatenango@image...>
  * Line strokes appeared too thin (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26927).
  * Keep text in caption area (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22504).

2015-02-14  6.9.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-6, SVN revision 18010.

2015-02-12  6.9.0-6 Dirk Lemstra <dirk@lem.....org>
  * Fixed command line execution in Windows for delegates that
    move files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=27027).

2015-02-10  6.9.0-6 Cristy  <quetzlzacatenango@image...>
  * A transient bug for the write MSL element (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27022).

2015-02-08  6.9.0-6 Glenn Randers-Pehrson <glennrp@image...>
  * Remove uninitialized, unused "p++" from coders/png.c, MNG reader.
  * Initialize "length" in coders/png.c, WriteJNGImage().
  * Fix signed/unsigned mismatch in coders/png.c, MNG reader.

2015-02-08  6.9.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-5, SVN revision 17946.

2015-01-30  6.9.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * In coders/gif.c, quiet two warnings.

2015-01-24  6.9.0-5 Dirk Lemstra <dirk@lem.....org>
  * Fixed iccColorProfile() in Magick++ (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26910).
  * Fixed infinite loop in HDR reader (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26929).

2015-01-23  6.9.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Check lengths of certain MNG chunks before reading them.
  * In the PNG codec, check status wherever a function returns it.

2015-01-18  6.9.0-5 Cristy  <quetzlzacatenango@image...>
  * Remove possible resource memory leak in a multi-threaded program (bug
    report and patch from David Chapman <d...@acm.org>.
  * Small optimization to pixel cache.
  * More image sanity checks.
  * Support writing base64-encoded images (e.g
	  convert logo: inline:jpeg:logo.txt).
  * Repair small TIFF leak when pinging (patch provided by Andrey Cherniy).

2015-01-16  6.9.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-4, SVN revision 17697.

2015-01-07  6.9.0-4 Cristy  <quetzlzacatenango@image...>
  * Additional coder sanity checks (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26842,
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26682).

2015-01-05  6.9.0-4 Dirk Lemstra <dirk@lem.....org>
  * Report Ghostscript version when -verbose is used and when an exception
    is raised.
  * Fixed invalid path check in MagickCoreGenesis under Windows and disabled
    ProvideDllMain by default (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&p=118875).

2015-01-01  6.9.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-3, SVN revision 17537.

2015-01-01  6.9.0-3 Cristy  <quetzlzacatenango@image...>
  * ImageMagick builds when HDRI is enabled (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26803).

2014-12-31  6.9.0-3 Glenn Randers-Pehrson <glennrp@image...>
  * Don't read beyond the end of a tEXt keyword when checking for Raw profile.

2014-12-27  6.9.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-2, SVN revision 17468.

2014-12-14  6.9.0-1 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading EXR files to the Windows distribution.
  * Fixed enabling alpha in 32-bit BMP files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26662).
  * Added support for writing 16-bit TGA files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=26693).
  * Improved performance of dds:cluster-fit when OpenMP is enabled.
  * Added support for distributed pixel cache to the Windows distribution.

2014-12-04  6.9.0-1 Alexey Dolgavin <dolgavin.alexey@gmail...>
  * Fix ImageMagick crashes while read EXIF from TIFF.

2014-11-20  6.9.0-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't handle a "previous" image in the PNG or JNG decoder.
  * Don't override gamma with 1.0 when reading a grayscale PNG image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26576).
  * Update progress monitor for every PNG row instead of every pass (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=26589).
  * Reject input PNG with dimensions larger than specified with -limit width
    and -limit height.

2014-11-20  6.9.0-1 Cristy  <quetzlzacatenango@image...>
  * Fix double free / invalid read when converting jpg to pdb (thanks to
    Hanno).
  * Maximum XWD image size is 64Kx64K (thanks to Hanno).
  * Maximum DPX number of elements is 8 (thanks to Hanno).
  * Transient problem with SVG (reference
      https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26587).
  * Numerous buffer overflow fixes (thanks to Gynvael Coldwind and
    Mateusz Jurczyk of the Google Security Team).
  * Additional PNM sanity checks (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26682).
  * The SetImageBias() bias value is no longer ignored (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25732).
  * Area crop now returns the expected number of tiles (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26701).
  * Respect TGA ColorMapIndex field (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26738).
  * Clang does not support __alloc_size__, fix fabs() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26739).
  * Support width and height resource limits.
  * Don't read TIFF profiles when pinging (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26670).

2014-11-16  6.9.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-0, SVN revision 17067.

2014-11-03  6.9.0-0 Cristy  <quetzlzacatenango@image...>
  * Check for zero-sized rendered SVG image (bug report from
    Vladimir Davydov).

2014-11-01  6.8.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-10, SVN revision 16910.

2014-10-29  6.8.9-10 Cristy  <quetzlzacatenango@image...>
  * EXIF directory offsets must be greater than 0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26456).
  * Accept morphology kernels from files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26466).
  * Don't optimize JPEG compression by default (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26482).

2014-10-26  6.8.9-10 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading jpeg compressed YCCK tiff files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24412).
  * Fixed reading DICOM files with big endian transfer syntax (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26448).

2014-10-25  6.8.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-9, SVN revision 16819.

2014-10-03  6.8.9-9 Dirk Lemstra <dirk@snakeware...>
  * Added sixel coder created by Hayaki Saito (@kefir_).
  * Fixed buffer overflow in PCX and DCM coder (bug report from Hanno Böck).
  * Added support for reading/writing the tIME chunk in the PNG coder.
  * Added eps:fit-page option to the PS coder to set -dEPSFitPage.
  * Improved reporting tiff:alpha and allowed setting tiff:alpha to
    unspecified.

2014-09-30  6.8.9-9 Cristy  <quetzlzacatenango@image...>
  * Support xyY colorspace (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26324).
  * Reduce noise while preserving edges with the -kuwahara option.
  * Off-by-one count when parsing an 8BIM profile.
  * Locale.c won't build if uselocale found but strtod_l isn't (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26362).
  * OpenCL no longer benchmarks are run on every initialization (patch
    submitted by Jan Steffens).
  * Don't clone a 0x0 image (bug report from Hanno Böck).

2014-09-21  6.8.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-8, SVN revision 16502.

2014-09-16  6.8.9-8 Cristy  <quetzlzacatenango@image...>
  * JPEG library version >= 80 is thread safe (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=25495).

2014-08-31  6.8.9-8 Dirk Lemstra <dirk@snakeware...>
  * Added support for some legacy dds formats (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=26184).

2014-08-16  6.8.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-7, SVN revision 16330.

2014-08-14  6.8.9-7 Cristy  <quetzlzacatenango@image...>
  * Fix off by one buglet when extracting profiles 8BIM (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26095).

2014-07-31  6.8.9-7 Dirk Lemstra <dirk@snakeware...>
  * Fixed bug when reading 1 bit PSD. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=26015).

2014-07-25  6.8.9-7 Glenn Randers-Pehrson <glennrp@image...>
  * Relocate initialization of "image_colors" in the PNG encoder, to avoid
    a possible use of uninitialized variable.

2014-07-25  6.8.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-6, SVN revision 16211.

2014-07-24  6.8.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Use IsOptionMember() instead of LocaleNCompare() in coders/png.c to
    parse the list of excluded and included PNG chunks.

2014-07-19  6.8.9-6 Dirk Lemstra <dirk@snakeware...>
  * Fixed fill-rule in SVG clip path (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=25882).

2014-07-14  6.8.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Removed some dead code (testing image->matte) in PNG64 encoder.

2014-07-07  6.8.9-6 Dirk Lemstra <dirk@snakeware...>
  * Added support for R5G6B5, RGB5A1 and RGBA4 dds files.

2014-07-01  6.8.9-6 Cristy  <quetzlzacatenango@image...>
  * Write LAB pixels as percentages in the TXT image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25830).
  * Throw exception when image morphology differs when comparing (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25927).
  * Remove mogrify backup file (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25683).
  * Read WEBP images from STDIN (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25886).

2014-07-01  6.8.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-5, SVN revision 16123.

2014-06-28  6.8.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Do not let libpng16 check ICC/sRGB profiles in non-debug runs; we do
    it ourselves anyway.  Avoids emitting "known incorrect profile" warnings.
    For strict profile checking and warning, use "-debug coder".

2014-06-27  6.8.9-5 Dirk Lemstra <dirk@snakeware...>
  * Disabled OpenCL acceleration when image has a 'mask' or 'clip-mask'.

2014-06-25  6.8.9-5 Cristy  <quetzlzacatenango@image...>
  * Use -define profile:skip=icc, for example,  to skip color profiles on read.

2014-06-23  6.8.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-4, SVN revision 16057.

2014-06-15  6.8.9-4 Cristy  <quetzlzacatenango@image...>
  * Support RMS argument for -evaluate-sequence and -statistic options.
  * Fix lseek define for a successful compile under 64-bit MinGW.
  * Pipe image to display program no longer reports an exception (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23532).
  * Check that profile is non-NULL in coders/tiff.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25770).

2014-06-08  6.8.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-3, SVN revision 15975.

2014-06-07  6.8.9-3 Glenn Randers-Pehrson <glennrp@image...>
  * Quiet warning about unused variable "skip_to_iend" in coders/png.c.

2014-06-07  6.8.9-3 Dirk Lemstra <dirk@snakeware...>
  * Fixed creation of SVG from 8bim clip path. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=25594).

2014-06-02  6.8.9-3 Cristy  <quetzlzacatenango@image...>
  * The -version option returns 0 status (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25667).
  * The inline coder can now read from standard input (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25641).
  * Add '=' character to the sanitize whitelist.

2014-05-30  6.8.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-2, SVN revision 15932.

2014-05-18  6.8.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed some bugs in the PNG codec discovered by coverity analysis.

2014-05-14  6.8.9-2 Cristy  <quetzlzacatenango@image...>
  * The -fx equality operator returns a proper boolean result now (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25580).
  * Permit spaces in the gradient color specification (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25614).
  * Fix IdentifyImage() crash when image->magick member is null (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25615).
  * The -format M and Y channels are no longer reversed (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25633).
  * Remove Makefile race condition where two targets attempt to install
    magick-baseconfig.h (reference
    http://git.buildroot.net/buildroot/commit/?id=7395ee9d3b88e45798143e05a28d6d4b51409130)
  * Fix memory leak in BlobToStringInfo() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25639).
  * In certain cases, -adaptive-sharpen failed to sharpen (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23211

2014-05-12  6.8.9-2 Dirk Lemstra <dirk@snakeware...>
  * Bump major Magick++ library version.
  * Added support for writing RLE compressed TGA files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=12335).
  * Improved performance of parsing the xmp profile (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25612).
  * Fixed detecting transparency in PSD files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25634).

2014-05-09  6.8.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-1, SVN revision 15697.

2014-04-22  6.8.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with the PNG00 subformat when the original format was PNG32.
  * The "-strip" option now only removes profiles and comments from PNG
    output.  Previously the background, density, and other metadata were
    also discarded.

2014-04-22  6.8.9-1 Cristy  <quetzlzacatenango@image...>
  * Support new -hough-lines option.
  * Support new -mean-shift option.
  * identify -units without argument no longer faults (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25542).
  * Require OpenJP2 version 2.1.0 (opj_stream_set_user_data() method signature
    change between 2.0.0 and 2.1.0).

2014-04-20  6.8.9-1 Dirk Lemstra <dirk@snakeware...>
  * Added image moments, canny edge and hough line to Magick++.
  * The 8bim profile will be updated when the icc/iptc/xmp profile is changed.
  * Fix for stack overflow in DestroyXMLTree in Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25457).
  * Added new coder for VIPS image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=25445).
  * Moved detection of type to a separate method in Magick++. The type() method
    no longer modifies the type of the image. Use determineType() instead.
  * Improved error messages when a coder uses Ghostscript.

2014-04-11  6.8.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-0, SVN revision 15441.

2014-04-03  6.8.9-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with -strip failing to exclude PNG chunks (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25353).

2014-03-30  6.8.9-0 Dirk Lemstra <dirk@snakeware...>
  * Added new coder to take a screen shot of a monitor in Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=23&t=25191).

2014-03-24  6.8.9-0 Cristy  <quetzlzacatenango@image...>
  * Don't transform sRGB compatible colorspaces to sRGB, doing so
    inadvertently promotes colormapped images to DirectClass.
  * Use temporary path rather then current working directory (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25313).
  * Support -canny edge detection option.
  * Use MAGICKCORE_LIBOPENJP2_DELEGATE instead of MAGICKCORE_JP2_DELEGATE
    (reference imagemagick.org/discourse-server/viewtopic.php?f=3&t=25376).

2014-03-28  6.8.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-9, SVN revision 15239.

2014-03-23  6.8.8-10 Cristy  <quetzlzacatenango@image...>
  * Although they are internal methods, deprecate InitializeModuleList(),
    LoadMimeLists(), and RelinquishCommandQueue() (reference
   https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25263).

2014-03-20  6.8.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-9, SVN revision 15192.

2014-03-16  6.8.8-9 Glenn Randers-Pehrson <glennrp@image...>
  * Do not block threads in the png codec when PNG_SETJMP_SUPPORTED is not
    defined (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=23&t=25218).

2014-03-15  6.8.8-9 Dirk Lemstra <dirk@snakeware...>
  * Added tiff:ignore-tags to ignore specific tags.
  * Added orderedDither, selectiveBlur, separate, sepiaTone, sketch,
    smushImages, tint, uniqueColors and vignette to Magick++.

2014-03-11  6.8.8-9 Cristy  <quetzlzacatenango@image...>
  * The -define jpeg:extent option overrides the image quality (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25200).

2014-03-09  6.8.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-8, SVN revision 15097.

2014-03-04  6.8.8-8 Glenn Randers-Pehrson <glennrp@image...>
  * Reset colorspace to Grayscale when reading a gray PNG image with
    gamma > 0.75 instead of when gamma==1.0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25136).

2014-02-22  6.8.8-8 Dirk Lemstra <dirk@snakeware...>
  * The PSD reader creates a merged image if the image does not contain one.
  * Added option pdf:fit-page to scale a pdf to the specified size (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=25044).
  * The ResolutionInfo in the 8BIM profile will be updated when an image is
    written.
  * Fixed UTF8 issues and added support for reading files with long path names
    for the Windows distribution.

2014-02-21  6.8.8-8 Cristy  <quetzlzacatenango@image...>
  * Convert linear RGB to sRGB before writing the Targa image format.
  * Make sure we use the secure C library functions when compiling ImageMagick
    on Windows.
  * Tweak color reduction optimization to return a full color palette (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=25098).
  * Patch configure.ac to support FlashPix under Debian (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25140).
  * OpenCL support writes to $HOME/.config/ImageMagick, if the path does not
    exist, two calls to mkdir() are required (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25080).
  * Replace  MAGICKCORE_JP2_DELEGATE with MAGICKCORE_LIBOPENJP2_DELEGATE in
    magick/static.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25153).
  * Eliminate thread race condition (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=25168).

2014-02-18  6.8.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-7, SVN revision 14908.

2014-02-16  6.8.8-7 Cristy  <quetzlzacatenango@image...>
  * Prevent possible buffer overflow in messaging system.

2014-02-16  6.8.8-7 Dirk Lemstra <dirk@snakeware...>
  * Improved detection of JPEG 2000 code streams and .j2c support (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24942).
  * Added morphology to Magick++.

2014-02-13  6.8.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-6, SVN revision 14868.

2014-02-13  6.8.8-6 Cristy  <quetzlzacatenango@image...>
  * identify -define identify:locate=maximum locates the position of the
    maximum value (stopped working in 6.8.8-5).

2014-02-03  6.8.8-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-5, SVN revision 14838.

2014-01-31  6.8.8-5 Cristy  <quetzlzacatenango@image...>
  * Fix case where an image moment might have a mass of 0 or a Hu moment might
    be 0.
  * Enhance the TXT coder to read RGB percent values, e.g. 10.008% (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24934).

2014-01-30  6.8.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed new "-define png:swap-bytes" option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24818).

2014-01-29  6.8.8-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-4, SVN revision 14676.

2014-01-29  6.8.8-4 Cristy  <quetzlzacatenango@image...>
  * Remove comma at end of enumerator list, magick/compare.h.

2014-01-28  6.8.8-4 Dirk Lemstra <dirk@snakeware...>
  * Added transpose and transverse to Magick++. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24884).

2014-01-25  6.8.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-3, SVN revision 14651.

2014-01-18  6.8.8-3 Dirk Lemstra <dirk@snakeware...>
  * Added ResourceLimits class and text direction/gravity to Magick++.
  * Added support for defining dimensions with icon:auto-resize (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=24796).

2014-01-16  6.8.8-3 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define png:swap-bytes" option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24818).
  * Added image->duration to image.h, calculate duration in gif.c, and
    report duration in identify.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23276).

2014-01-15  6.8.8-3 Cristy  <quetzlzacatenango@image...>
  * The -type truecolor option for a grayscale image returns RGB JPEG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24814).
  * Support JSON coder (.e.g. convert image.jpg image.json).

2014-01-10  6.8.8-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-2, SVN revision 14347.

2014-01-09  6.8.8-2 Dirk Lemstra <dirk@snakeware...>
  * Added option 'icon:auto-resize' to automatically store multiple sizes
    in an ico image (requires 256x256 input image).
  * Added text kerning/spacing to Magick++. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=23&t=24716).

2013-12-30  6.8.8-2 Cristy  <quetzlzacatenango@image...>
  * The -evaluate-sequence sum returns a proper alpha channel now (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24704).
  * Support OpenJPEG for JPEG-2000 support.
  * Support IsMagickWandInstantiated() method (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=6&t=24724).
  * LevelColorsImageChannel() returns proper status (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24751).
  * Generate a proper SVG clipping path (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24752).
  * Return image moments with the identify -moments -verbose options.
  * Perceptual hash metric for compare utility: -metric PHASH (algorithm
    by Fred Wienhaus).

2013-12-30  6.8.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-1, SVN revision 14087.

2013-12-27  6.8.8-1 Cristy  <quetzlzacatenango@image...>
  * Support points argument for draw MSL element.
  * Fix misplaced closing parenthesis for strncmp() call in magick/xml-tree.c.
  * The -page option now correctly sets the image page offset (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24701).

2013-12-26  6.8.8-1 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading zip compressed PSD files. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24676).

2013-12-25  6.8.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-0, SVN revision 14027.

2013-12-23  6.8.8-0 Cristy  <quetzlzacatenango@image...>
  * Blurring with transparency no longer returns a halo (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24665).
  * Eliminate ICC profile memory leak for JP2 coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24679).

2012-12-21  6.8.8-0 Dirk Lemstra <dirk@snakeware...>
  * Made librsvg the default svg library for the windows distribution.

2013-12-10  6.8.7-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-10, SVN revision 13965.

2013-12-10  6.8.7-10  SiuChi Chan  <...>
  * Fix crash when using -resize with GPU acceleration (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24603).

2013-12-08  6.8.7-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-9, SVN revision 13950.

2013-12-05  6.8.7-9  SiuChi Chan  <...>
  * Silence warning related to GPU memory issues.
  * Check if OpenCL is disabled in checkOpenCLEnvironment() method.
  * Turn off OpenCL path for Intel OpenCL to avoid crash when not enough memory.
  * Fixed a bug for OpenCL convolution.
  * Reduce compiler warnings.

2013-12-03  6.8.7-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug in coders/png.c that caused -define png:color-type=0 to
    fail (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=24568).

2013-11-30  6.8.7-9 Dirk Lemstra <dirk@snakeware...>
  * Fixed bug in automatic selection of OpenCL device (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24542).
  * Fixed transparency for 32 bits BMP.

2013-11-28  6.8.7-9 Cristy  <quetzlzacatenango@image...>
  * The -type bilevel option sometimes returned an all white image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24444).
  * Check blue channel threshold for -solarize option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24473).

2013-11-27  6.8.7-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-8, SVN revision 13850.

2013-11-27  6.8.7-8  SiuChi Chan  <...>
  * Add an OpenCL-accelerated analog of AddNoiseImage().

2013-11-23  6.8.7-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-7, SVN revision 13827.

2013-11-23  6.8.7-7  SiuChi Chan  <...>
  * Simplified interface to initialize the OpenCL environment.
  * Automatic OpenCL device selection algorithm.
  * Support ModulateImage() acceleration.
  * Reduce the memory requirement for accelerated blur and unsharp mask.

2013-11-16  6.8.7-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-6, SVN revision 13767.

2013-11-14  6.8.7-6 Cristy  <quetzlzacatenango@image...>
  * Fix possible memory corruption when writing PSD images (bug report from
    Justin Grant).
  * Constrain color reduction acceleration to positive integers (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=24459).
  * fx:maxima.a now returns the alpha value rather than opacity (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24461).

2013-11-08  6.8.7-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-5, SVN revision 13682.

2013-11-03  6.8.7-5 Cristy  <quetzlzacatenango@image...>
  * The jpeg:extent option no longer returns double-free exception (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24366).
  * Turn off arch-specific optimizations (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24353).
  * The -type bilevel option no longer returns black image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24394).

2013-11-03  6.8.7-5 Dirk Lemstra <dirk@snakeware...>
  * Added support for pangocairo to the windows distribution.
  * Added /OpenCL option to configure.exe to enable OpenCL.
  * The MIFF/PCL/PDF/PNG/PS2/PS3/TIFF coders will no longer use the quality and
    compression of the source image when writing.

2013-10-31  6.8.7-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed cut-and-paste error in version.c that caused the "png" delegate
    to be listed twice by the "convert -version" command.

2013-10-30  6.8.7-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-4, SVN revision 13616.

2013-10-26  6.8.7-4  Siu Chi Chan <...@amd.com>
  * Major improvements to the OpenCL infrastructure.
  * New OpenCL accelerated algorithms (function image, blur, radial blur,
    unsharp mask, resize, contrast, equalize, despeckle).
  * Added a new checkbox to enable OpenCL in the configure program.

2013-10-24  6.8.7-4 Cristy  <quetzlzacatenango@image...>
  * Color reduction acceleration from Yoya (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24324).
  * -intensity rec709luma -colorspace gray returns gamma 1.0/2.2 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24330).
  * Handle 16-bit JPEG-compressed TIFF images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24331).
  * An image -compose ModulusAdd negate-image returns the original (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24337).
  * Support %U escape character for resolution units (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=24140).

2013-10-23  6.8.7-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-3, SVN revision 13557.

2013-10-23  6.8.7-3 Cristy  <quetzlzacatenango@image...>
  * The -roll option is now working when the +x coordinate is +0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24314).

2013-10-22  6.8.7-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-2, SVN revision 13534.

2013-10-20  6.8.7-2 Cristy  <quetzlzacatenango@image...>
  * Define cmsUInt32Number if LCMS version is < 2000.
  * Set xc:gray() intensity to Rec709Luma (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24303).

2013-10-20  6.8.7-2 Dirk Lemstra <dirk@snakeware...>
  * GetImageDepth() no longer returns incorrect depth when HDRI enabled.

2013-10-19  6.8.7-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-1, SVN revision 13486.

2013-10-10  6.8.7-1 Cristy  <quetzlzacatenango@image...>
  * Add support for the -complex option, perform complex mathematics on an
    image sequence.
  * Sync pixel cache for -set colorspace cmyk option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24173).

2013-09-27  6.8.7-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed problem with PNG8 reduction in coders/png.c (special case where
    exactly 256 colors plus one transparent color are present).
  * Set image->intensity = Rec709LuminancePixelIntensityMethod before
    setting the colorspace to Gray while reading a gray PNG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24205).
    This ensures that image->gamma will be set to 1.0 (linear).

2013-09-26  6.8.7-1 Dirk Lemstra <dirk@snakeware...>
  * Fixed incorrect size of DICOM image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24135).
  * Fixed rounding in YUV coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24148).
  * Fixed colorspace issue when combining images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24173).
  * Replaced libjpeg with libjpeg-turbo in the windows distribution.
  * Added support for liquid rescale to the windows distribution.
  * Set image type after syncing the pixel cache.

2013-09-25  6.8.7-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-0, SVN revision 13290.

2013-09-23  6.8.7-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed comments about the -quality value in PNG coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=24134).

2013-09-19  6.8.7-0 Dirk Lemstra <dirk@snakeware...>
  * Fixed issue with colormap when reading Viff image.
  * Added support for opening https files under windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24121).
  * Fixed incorrect format when reading EPT image from a blob (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24129).

2013-09-18  6.8.6-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-10, SVN revision 13240.

2013-09-07  6.8.6-10 Dirk Lemstra <dirk@snakeware...>
  * Added support for writing DDS files.

2013-08-29  6.8.6-10 Cristy  <quetzlzacatenango@image...>
  * Call SVG / MSL xmlCleanupParser() / xmlInitParser() once (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23991).
  * Support LEGO Mindstorms EV3 Robot Graphics File format (contributed
    by bdwheele@ind.../
  * Since glib-2.35.0 g_type_init() was removed (reference
    https://bugs.gentoo.org/show_bug.cgi?id=481042).
  * New identify define to output the location of the minimum, maximum, or
    mean pixel of the image (e.g. identify -define identify:locate=maximum
    -define identify:limit=7 rose).
  * Column columns / rows no longer inverted for RGF image format (patch
    from Brian Wheeler <bdwheele@india...>.
  * 16bit PSD images might have a 65536 colormap (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24102).
  * Ascii map is now declare as AsciiMap (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24106).
  * Return label for identify -format "%l" (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=24105).
  * Add option to perform Fourier normalization in either the forward or
    inverse transform (e.g -define fourier:normalize=inverse). The default
    remains as it was in the forward transform (i.e. -define
    fourier:normalize=forward)

2013-08-26  6.8.6-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-9, SVN revision 13087.

2013-08-16  6.8.6-9  SiuChi Chan  <...>
  * Accelerate numerous image filters with OpenCL under AMD, Intel, and
    NVidia.  Adapted from MulticoreWare OpenCL contribution.

2013-08-10  6.8.6-9 Dirk Lemstra <dirk@snakeware..>
  * Added the following command line options to configure.exe:
      /x64, set 64 bit build
      /mtd, set project type to: multi threaded dll
      /sts, set project type to: single threaded static
      /mts, set project type to: multi threaded static
      /mtsd, set project type to: multi threaded static dll
      /noWizard, skip the wizard and generate the project/solution files
  * Fixed infinite loop with jpeg:extent (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23314).
  * Fixed performance issue when converting jpeg to png (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23922).

2013-08-10  6.8.6.9 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define bmp:format=bmp2|bmp3|bmp4" option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23875).

2013-08-07  6.8.6-9 Cristy  <quetzlzacatenango@image...>
  * Free disk resource if cache resources are exhausted (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23877).
  * Return proper EXIF:ISOSpeedRating property value for TIFF images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23913).
  * Escape MIFF properties with null values (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23931).
  * Allow negative pixel values in TXT image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23923).
  * The -fx option no longer crashes for certain expressions (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23932).
  * Add support for the -compare option (e.g. convert image.png reference.png
    -metric RMSE -compare -format "%[distortion]" info:).
  * The internal SVG renderer is now invariant for the "fill" and "opacity"
    keywords.

2013-08-06  6.8.6-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-8, SVN revision 12918.

2013-08-04  6.8.6-8 Dirk Lemstra <dirk@snakeware...>
  * Added support for WebP to the Windows distribution (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23856).

2013-07-31  6.8.6-8 Cristy  <quetzlzacatenango@image...>
  * Properly handle interlaced GIF images with less than 8 rows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23812).
  * Ensure image colorspace is sRGB when writing WebP format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23841).
  * Avoid deadlock with logging subsystem (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23849).

2013-07-25  6.8.6-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-7, SVN revision 12752.

2013-07-24  6.8.6-7 Cristy  <quetzlzacatenango@image...>
  * Missing case for HCLpColorspace (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23811).

2013-07-21  6.8.6.7 Glenn Randers-Pehrson <glennrp@image...>
  * Do not write "jpeg:" properties in a PNG output file (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23794).

2013-07-17  6.8.6-7 Dirk Lemstra <dirk@snakeware...>
  * Fix memory leak in CloneImageArtifacts and CloneImageProfiles.
  * Minor fix for the clipMask property in Magick++.

2013-07-16  6.8.6-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-6, SVN revision 12718.

2013-07-16  6.8.6-6 Cristy  <quetzlzacatenango@image...>
  * JPEG ICC color profile requires null after ICC tag (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23756).
  * Don't sync channels for the -unsharp option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23740).
  * Magick++ version so bump (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23752).

2013-07-15  6.8.6-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-5, SVN revision 12684.

2013-07-12  6.8.6-5 Dirk Lemstra <dirk@snakeware...>
  * Fixed calculation of pixel area count limit flag ('@').
  * Added option to enable OpenMP to configure.exe and improved creation
    of x64 project file

2013-07-10  6.8.6-5 Cristy  <quetzlzacatenango@image...>
  * Compare exits with a non-zero exit code when no error (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23722).
  * Correct calculation of quantization error (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=23734).
  * Correct quantize tree walking mistake for RiemersmaDither (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23735).

2013-07-10  6.8.6-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-4, SVN revision 12661.

2013-07-09  6.8.6-4 Dirk Lemstra <dirk@snakeware...>
  * Added combineImages, evaluateImages, mergeImageLayers, optimizeImageLayers
    optimizePlusImageLayers and separateImages to STL.h (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23699).
  * Added support for the fill area flag ('^') and the pixel area
    count limit flag ('@') to the Geometry class of Magick++ (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23704).
  * Enabled automatic linking for static Magick++ in Visual Studio (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23558).

2013-07-01  6.8.6-4 Cristy  <quetzlzacatenango@image...>
  * Thumb property need Height, not height (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23661).
  * White pixels previously were written as black for the CIP format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23677).
  * Rec709Luma is sRGB compatible (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23693).
  * Colorspace RGB is linear, gamma is 1.0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23708).

2013-07-01  6.8.6-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-3, SVN revision 12579.

2013-06-26  6.8.6-3 Cristy  <quetzlzacatenango@image...>
  * Improve HCL to RGB roundtrip (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22384).
  * Prefer external log configuration file to built-in (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23640).
  * Do not log in the IsLinkedListEmpty() method to prevent overflow (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23640).
  * Fix bug loading TGA image with 32-bit palette (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=17889).
  * Color profiles are no longer corrupted for the JPEG format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23651).
  * Repair problem with -emboss / -equalize problem (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23643).

2013-06-24  6.8.6-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-2, SVN revision 12561.

2013-06-21  6.8.6-2 Cristy  <quetzlzacatenango@image...>
  * Fix memory corruption in the MorphologyApply() method.

2013-06-20  6.8.6.2 Glenn Randers-Pehrson <glennrp@image...>
  * Quiet two warnings about uninitialized variables in coders/png.c

2013-06-20  6.8.6-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-1, SVN revision 12509.

2013-06-16  6.8.6-1 Cristy  <quetzlzacatenango@image...>
  * Don't decompand RGB for the -modulate option.
  * Improve LCHab and LCHuv roundtrip to / from sRGB (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23596).

2013-06-16  6.8.6-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-0, SVN revision 12475.

2013-06-10  6.8.6-0 Cristy  <quetzlzacatenango@image...>
  * Clone image->intensity in CloneImageProperties() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23569).
  * Split test suite into smaller tests (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23577).
  * Undercolor rectangle was off by one pixel (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23574).
  * Don't msync() for a read-only memory-mapped mode (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23531).
  * BlurChannelImage() no longer faults for certain CMYK images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23581).
  * Reduce memory requirements for large BMP images.

2013-06-05  6.8.5-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-10, SVN revision 12419.

2013-06-02  6.8.5-10 Cristy  <quetzlzacatenango@image...>
  * Improve caption formatting (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23522).

2013-06-01  6.8.5-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-9, SVN revision 12401.

2013-05-30  6.8.5-9 Cristy  <quetzlzacatenango@image...>
  * Caption no longer clips long words (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23504).
  * The lightness intensity is (min(R',G',B')+max(R',G',B'))/2.0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23517).

2013-05-25  6.8.5-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-8, SVN revision 12362.

2013-05-23  6.8.5-8 Glenn Randers-Pehrson <glennrp@image...>
  * Stopped a "-fsanitize-address" warning in the JNG coder.

2013-05-20  6.8.5-8 Cristy  <quetzlzacatenango@image...>
  * The -white-threshold option is symmetrical with -black-threshold (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23441);
  * Fix multi-line PNM comments (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23442).
  * The -format option should not automatically append a newline since the
    user can specify a newline in the formatting expression.
  * The -level option is no longer returning a darkened image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23479).
  * Identify SVG image as "SVG" (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=27654).

2013-05-20  6.8.5-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-7, SVN revision 12310.

2013-05-14  6.8.5-7 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize PNG iCCP chunks that contain the sRGB profile and replace
    them with the PNG sRGB chunk.  Use "-define png:preserve-iCCP" to
    get the previous behavior, of simply copying the iCCP chunk.

2013-05-11  6.8.5-7 Cristy  <quetzlzacatenango@image...>
  * Sometimes an sRGB image is masquerading as grayscale (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23370).
  * Labels no longer overflow (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22964).
  * If more then one exception, return the highest security exception.
  * A grayscale image returns a color JPEG for -type TrueColor (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23421).
  * Read PAM comment (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23442).

2013-05-10  6.8.5-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-6, SVN revision 12257.

2013-05-09  6.8.5-6 Cristy  <quetzlzacatenango@image...>
  * The stream utility no longer faults when exporting float pixels (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23394).

2013-05-08  6.8.5-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-5, SVN revision 12227.

2013-05-07  6.8.5-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Change the sample JPEG quantization table xml to something that works
    really well with 2x2 Chroma subsampling around quality 75.

2013-05-06  6.8.5-5 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminate whitespace from image properties that hold PNG chunk data.

2013-05-05  6.8.5-5 Cristy  <quetzlzacatenango@image...>
  * The -poly option treats the opacity channel as alpha (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23346).
  * The -threshold 50% option returns a 50-50 black and white image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23354).
  * Let user override the TIFF rows per strip  (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=23307).
  * Fix transient bug in the -separate option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23335).

2013-05-01  6.8.5-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-4, SVN revision 12089.

2013-05-01  6.8.5-4 Cristy  <quetzlzacatenango@image...>
  * Add DeleteImageArtifact() for jpeg:extent artifact (thanks to
    Jimmy Xie @ Microsoft).
  * Track morphology changes per thread to avoid a critical section.

2013-04-28  6.8.5-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-3, SVN revision 12025.

2013-04-29  6.8.5-3 Cristy  <quetzlzacatenango@image...>
  * Add DeleteImageArtifact() for jpeg:extent artifact (thanks to
    Jimmy Xie @ Microsoft).
  * Add support for JXR / WDP image format.

2013-04-28  6.8.5-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-2, SVN revision 12013.

2013-04-28  6.8.5-2 Cristy  <quetzlzacatenango@image...>
  * Use GetImageOption() for webp options (e.g. webp:lossless).

2013-04-27  6.8.5-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-1, SVN revision 12000.

2013-04-26  6.8.5-1 Cristy  <quetzlzacatenango@image...>
  * Recognize xc:gray50 is non-linear.
  * Loop over read() until requested bytes are consumed (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=23268).
  * Don't use gamma lookup map when HDRI is enabled.

2013-04-24  6.8.5-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-0, SVN revision 11979.

2013-04-16  6.8.5-0 Glenn Randers-Pehrson <glennrp@image...>
  * Handle benign errors as warnings in the PNG coder.

2013-04-16  6.8.5-0 Cristy  <quetzlzacatenango@image...>
  * Don't modify channel values for -separate (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23193).
  * The -adaptive-sharpen option is now sharpening properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23211).
  * Sometimes an image says it's grayscale when it's not (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23217).
  * Use malloc() to allocate X image data (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23221).
  * If there are more components than quantization tables, the last table is
    replicated.
  * Removed the ICC profile from the logo: image definition in coders/magick.c;
    libpng16 detected that it was a broken sRGB profile.
  * Negatives raised to a non-integer power returns NaN's (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23234).

2013-04-15  6.8.4-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-10, SVN revision 11851.

2013-04-11  6.8.4-10 Cristy  <quetzlzacatenango@image...>
  * Ensure -define jpeg:extent is restricted to at most 7 iterations (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23179).
  * Move X11 font support from annotate.c source module to xwindow.c.

2013-04-10  6.8.4-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-9, SVN revision 11818.

2013-04-10  6.8.4-9 Bastien Roucaries  <roucaries.basti...>
  * Respect --program-suffix configure script option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23143).
  * Update to the newest AX_CHECK_PTHREAD macro from autoconf-archive.

2013-04-10  6.8.4-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Save the calculated angle for "deskew" as the artifact "deskew:angle"

2013-04-08  6.8.4-9 Cristy  <quetzlzacatenango@image...>
  * Pass JP2 format type to decoder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23038).
  * Previously tinting a grayscale image returned dark results.
  * The -page option only affects new images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23172).
  * Revert 'Move binaries to lib subdirectory and link are created from binary
    package' patch.  We're getting too many bug reports.

2013-04-07  6.8.4-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-8, SVN revision 11743.

2013-04-06  6.8.4-8 Cristy  <quetzlzacatenango@image...>
  * Include intensity type in the MIFF metadata.

2013-04-06  6.8.4-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-7, SVN revision 11720.

2013-04-05  6.8.4-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix -sample sampling point to midpoints of sampling areas
  * Add a "sample:offset=" define to allow users to adjust this
    sampling point position in terms of percentage (default = 50x50)

2013-04-02  6.8.4-7 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write a PNG gAMA or cHRM chunk when writing the iCCP or sRGB chunk.

2013-04-02  6.8.4-7 Cristy  <quetzlzacatenango@image...>
  * Return MagickWand for the library name for Wand.pc.
  * The LCH colorspace makes the round-trip now.
  * Revert the default upsampling algortithm for JPEG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23100).
  * Prevent fault when temporary directory is not-writable (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23117).

2013-04-01  6.8.4-7 Bastien Roucaries  <roucaries.basti...>
  * Prepare X11 support as a plugin.
  * Fix compilation under HPUX of perlmagick

2013-04-01  6.8.4-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-6, SVN revision 11640.

2013-04-01  6.8.4-6 Cristy  <quetzlzacatenango@image...>
  * The -clut option return a luma grayscale instead of the expected luminance.
  * Add moduledir variable to MagickCore.pc to support the MagickFilter and
    MagickCore kits.
  * Caption fits the sized area (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23085).

2013-03-31  6.8.4-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-5, SVN revision 11619.

2013-03-30  6.8.4-5 Cristy  <quetzlzacatenango@image...>
  * Fix transient bug when writing grayscale MIFF images.
  * Adding noise to a gray image returns a gray image as expected.
  * Image interlace no longer overwritten by proper cloning for GIF format.
  * Extract the clipping path from an image file with clip:myimage.

2013-03-29  6.8.4-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-4, SVN revision 11591.

2013-03-29  6.8.4-4 Cristy  <quetzlzacatenango@image...>
  * Update unit test signatures for Q8.
  * Resolve send() / recv() socket problems under MinGW.

2013-03-28  6.8.4-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-3, SVN revision 11581.

2013-03-28  6.8.4-3 Cristy  <quetzlzacatenango@image...>
  * Revert patch to ContrastStretchImage() to match results from 6.8.3-3.

2013-03-27  6.8.4-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-2, SVN revision 11558.

2013-03-27  6.8.4-2 Cristy  <quetzlzacatenango@image...>
  * Use MorphologyApply() rather than MorphologyImage() for -sharpen / -blur.

2013-03-27  6.8.4-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-1, SVN revision 11552.

2013-03-26  6.8.4-1 Cristy  <quetzlzacatenango@image...>
  * Sync 'intensity' option with current image.
  * Normalize sharpen kernel to match that of 6.8.3-3.

2013-03-26  6.8.4-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-0, SVN revision 11531.

2013-03-20  6.8.4-0 Cristy  <quetzlzacatenango@image...>
  * Do not write zero-length TIFF tags (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22957).
  * Math library should be private for *.pc.in configuration files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22986).
  * Do not split words for caption (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=17123).
  * Modify the configure script check for the webp delegate library (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=23025).
  * The -blur, -gaussian-blur, and -sharpen are now convenience methods
    for -morphology convolve.
  * Fix infinite loop for 'display -window' (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23028).
  * Revert -auto-level patch to match the results of ImageMagick 6.8.3-4.
  * Revert g_type_init() patch in svg.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=23035).

2013-03-18  6.8.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-10, SVN revision 11413.

2013-03-15  6.8.3-10 Glenn Randers-Pehrson <glennrp@image...>
  * Added IM, libpng, and zlib version info to debug output.

2013-03-10  6.8.3-10 Bastien Roucaries  <roucaries.basti...>
  * Move PerlMagick arch independent part to 'default' folder.
  * Move binaries to lib subdirectory and link are created from binary package.

2013-03-10  6.8.3-10 Cristy  <quetzlzacatenango@image...>
  * The TXT image format can now generate output compatible with the
    -sparse-color option (e.g. convert image.png sparse-color:image.txt).
  * Support -intensity option: method to generate an intensity value from a
    pixel.
  * Add -similarity-threshold option to the compare utility, the minimum
    distortion for a (sub)image match.
  * Avoid seq-fault in AcquireQuantumInfo() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22973).
  * Comment resource initializers in magick/resource.c.

2013-03-10  6.8.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-9, SVN revision 11294.

2013-03-09  6.8.3-9 Cristy  <quetzlzacatenango@image...>
  * Add a space after the LastPage option in coders/ps.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22940).

2013-03-08  6.8.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-8, SVN revision 11283.

2013-03-05  6.8.3-8 Cristy  <quetzlzacatenango@image...>
  * GIF comments are no longer displaced by 1 for animated GIFs (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22901).
  * A blur kernel with a zero sigma is unity.

2013-03-03  6.8.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-7, SVN revision 11249.

2013-03-02  6.8.3-7 Glenn Randers-Pehrson <glennrp@image...>
  * Do not replace gAMA found in input with 1/2.2
  * Avoid a libpng16 warning about storing unknown chunks.

2013-03-01  6.8.3-7 Cristy  <quetzlzacatenango@image...>
  * Improve performance when rendering a caption.
  * The compare 'map' image should not be transparent.
  * Use only major version for decorating include path.

2013-02-28  6.8.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-6, SVN revision 11210.

2013-02-25  6.8.3-6 Cristy  <quetzlzacatenango@image...>
  * Support built-in 1x1 and 2x1 threshold maps (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22861).
  * Check for webp version (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22867).

2013-02-25  6.8.3-6 Glenn Randers-Pehrson <glennrp@image...>
  * Relocated png_set_bKGD(), etc., after png_set_IHDR() because they
    might depend on members of info_ptr that are set by png_set_IHDR().

2013-02-25  6.8.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-5, SVN revision 11170.

2013-02-23  6.8.3-5 Cristy  <quetzlzacatenango@image...>
  * Read the WebP extended file format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).
  * Add arch annotation to include path to distinquish ImageMagick versions
    6 & 7.

2013-02-22  6.8.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-4, SVN revision 11127.

2013-02-22  6.8.3-4 Cristy  <quetzlzacatenango@image...>
  * Reduce default memory resource limit under Windows.

2013-02-19  6.8.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-3, SVN revision 11105.

2013-02-19  6.8.3-3 Cristy  <quetzlzacatenango@image...>
  * Set WEBP lossless / lossy property properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).

2013-02-18  6.8.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-2, SVN revision 11087.

2013-02-17  6.8.3-2 Cristy  <quetzlzacatenango@image...>
  * Semaphore is now unlocked when an X11 annotation exception is thrown.
  * WEBP coder enhancement and memory leak patch (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).

2013-02-16  6.8.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-1, SVN revision 11060.

2013-02-16  6.8.3-1 Cristy  <quetzlzacatenango@image...>
  * Disable FORTIFY_SOURCE to fix a bug in LVVM / OpenMP support.

2013-02-15  6.8.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-0, SVN revision 11045.

2013-02-14  6.8.3-0 Cristy  <quetzlzacatenango@image...>
  * Webp requires alpha, not opacity (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22793).

2013-02-12  6.8.3-0 Bastien Roucaries  <roucaries.basti...>
  * Allow PerlMagick to be multi-quantum (e.g. Image::Magick::Q16).

2013-02-11  6.8.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-10, SVN revision 11004.

2013-02-11  6.8.2-10 Cristy  <quetzlzacatenango@image...>
  * The XPM regression tests passes now.

2013-02-09  6.8.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-9, SVN revision 10995.

2013-02-09  6.8.2-9 Bastien Roucaries  <roucaries.basti...>
  * Export versioning to automake in order to use it for library prefix.
  * So bump was incomplete due to no changing map file.
  * Change abi name by adding major version to lib name (will simplify
    next imagemagick major version release work) and reset release version
    to 1 (due to changing abi name).

2013-02-09  6.8.2-9 Cristy  <quetzlzacatenango@image...>
  * The DOT coders now compiles with GraphViz 2.30 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22767).

2013-02-09  6.8.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-8, SVN revision 10986.

2013-02-09  6.8.2-8 Cristy  <quetzlzacatenango@image...>
  * MagickStatisticImage() method signature was corrected, SO bump required.

2013-02-08  6.8.2-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-7, SVN revision 10965.

2013-02-08  6.8.2-7 Cristy  <quetzlzacatenango@image...>
  * Ensure MagickCore compiles with a C++ compiler.

2013-02-07  6.8.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-6, SVN revision 10961.

2013-02-07  6.8.2-6 Cristy  <quetzlzacatenango@image...>
  * Don't destroy an image that's already destroyed (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22747).
  * Montage is now invariant to the font when no label image label exists.

2013-02-06  6.8.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-5, SVN revision 10952.

2013-02-05  6.8.2-5 Cristy  <quetzlzacatenango@image...>
  * FITS now properly renders the 16 bit signed integer format.

2013-02-04  6.8.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-4, SVN revision 10909.

2013-02-02  6.8.2-4 Cristy  <quetzlzacatenango@image...>
  * Do not subsample raw CMYK JPEG images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22731).

2013-02-02  6.8.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-3, SVN revision 10894.

2013-02-01  6.8.2-3 Cristy  <quetzlzacatenango@image...>
  * Respect endian for FITS image format.
  * Remove artifact when drawing a circle (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22724).

2013-02-01  6.8.2-3 Glenn Randers-Pehrson <glennrp@image...>
  * Deleted some code added to the PNG decoder in SVN revision 10825; it
    was failing to handle transparency in paletted images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22720).
  * Compare alpha to "QuantumRange-OpaqueOpacity" not just "OpaqueOpacity"
    when detecting transparency in the PNG encoder.

2013-02-01  6.8.2-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-2, SVN revision 10883.

2013-01-30  6.8.2-2 Cristy  <quetzlzacatenango@image...>
  * Properly initialize new throttle resource limit.

2013-01-29  6.8.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-1, SVN revision 10859.

2013-01-28  6.8.2-1 Cristy  <quetzlzacatenango@image...>
  * Fix 'format not a string literal' problem (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22656).

2013-01-28  6.8.2-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-0, SVN revision 10831.

2013-01-21  6.8.2-0 Glenn Randers-Pehrson <glennrp@image...>
  * Impose a 32k limit on the number of text chunks that will be read.
  * Implemented PNG00, PNG48 and PNG64 PNG subformats.
  * Avoid reading back PNG pixel rows while reading a transparent PNG (
    by using a local "alpha" value instead of GetPixelOpacity()).

2013-01-21  6.8.2-0 Cristy  <quetzlzacatenango@image...>
  * Avoid a rare thread lock for timeout event (e.g. MAGICK_TIME_LIMIT=30).
  * Support a distributed pixel cache.
  * Fix numerical stability problem for convolution.
  * Increase segment stack size for -draw option.

2013-01-18  6.8.1-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-10, SVN revision 10667.

2013-01-08  6.8.1-10 Cristy  <quetzlzacatenango@image...>
  * Add the same noise value to each channel of a grayscale image (+noise).
  * Fix recursive descent within XGetWindowImage() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22550).
  * Multi-plane MatLab images now render properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22586).

2013-01-06  6.8.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed LBR01 (left-bit-replication) macro in coders/png.c; problem reported
    by the clang compiler.
  * Chromaticity values were read in the wrong order in the cHRM chunk
    when it accompanied the sRGB chunk. Libpng applications built with
    libpng16 and later will detect this and issue a warning (PNG files
    previously written with the cHRM chunk are OK).  Removed the
    troublesome redundant png_set_cHRM() and png_set_sRGB() calls.
  * Look for libpng17 and libpng16 while configuring PNG support.

2013-01-06  6.8.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-9, SVN revision 10518.

2013-01-06  6.8.1-9 Cristy  <quetzlzacatenango@image...>
  * Type correction in blob code.

2013-01-02  6.8.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-8, SVN revision 10481.

2013-01-02  6.8.1-8 Cristy  <quetzlzacatenango@image...>
  * Check for a density of zero when rendering with Pango (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=3).

2013-01-01  6.8.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-7, SVN revision 10468.

2013-01-01  6.8.1-7 Cristy  <quetzlzacatenango@image...>
  * magick-baseconfig.h is architecture dependant;
    make headers quantum depth neutral (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22509).

2013-01-01  6.8.1-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-6, SVN revision 10461.

2012-12-31  6.8.1-6 Cristy  <quetzlzacatenango@image...>
  * Repair numerical stability issue with gradients (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22507).

2012-12-30  6.8.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-5, SVN revision 10428.

2012-12-29  6.8.1-5 Cristy  <quetzlzacatenango@image...>
  * Correction to scientific notation for the -evaluate log option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22496).

2012-12-29  6.8.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-4, SVN revision 10420.

2012-12-28  6.8.1-4 Cristy  <quetzlzacatenango@image...>
  * Support scientific notation for the -evaluate log option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22496).

2012-12-25  6.8.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-3, SVN revision 10394.

2012-12-25  6.8.1-3 Cristy  <quetzlzacatenango@image...>
  * Remove pow() dependency from public header.

2012-12-24  6.8.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-2, SVN revision 10385.

2012-12-23  6.8.1-2 Cristy  <quetzlzacatenango@image...>
  * Magickcore headers recently used pow() in the inline functions inside
    public headers.  Thus in order to avoid library depends problem, put -lm
    in library depends (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22483).
  * Negative exponentiation bug fix (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22484).

2012-12-23  6.8.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-1, SVN revision 10350.

2012-12-23  6.8.1-1 Cristy  <quetzlzacatenango@image...>
  * More large image performance tuning.

2012-12-20  6.8.1-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-0, SVN revision 10327.

2012-12-16  6.8.1-0 Cristy  <quetzlzacatenango@image...>
  * Return non-zero exit status if two images differ for the compare utility.
  * Large image performance tuning.

2012-12-15  6.8.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-10, SVN revision 10236.

2012-12-13  6.8.0-10 Cristy  <quetzlzacatenango@image...>
  * Improve exception reporting when AcquireAuthenticCacheView() fails.

2012-12-13  6.8.0-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Minor tweeks and commenting of Virtual Pixel shortcuts in
    resampling filters.
  * Added -define "shepards:power" to control the power setting (def=2)
    for Shepards Method in -distort and  -sparse-color
    https://imagemagick.org/discourse-server/viewtopic.php?t=22416

2012-12-13  6.8.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-9, SVN revision 10182.

2012-12-10  6.8.0-9 Glenn Randers-Pehrson <glennrp@image...>
  * Prepended "Acquire" and "Relinquish" to debugging log messages in
    magick/resource.c that only showed the filename.
  * Added temporary file-count diagnostics to tests/validate.c (this required
    exporting GetPathTemplate() from magick/resource.c
  * Eliminate file leak when writing the JNG image format.

2012-12-09  6.8.0-9 Cristy  <quetzlzacatenango@image...>
  * Further support for associating quantum depth with ABI (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * Check for negative square root when resampling (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22398).

2012-12-07  6.8.0-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-8, SVN revision 10118.

2012-11-28  6.8.0-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed problem with writing grayscale PNG, bug introduced in version
    6.8.0-0 or 6.8.0-1 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22355).

2012-11-28  6.8.0-8 Cristy  <quetzlzacatenango@image...>
  * Allow temporary-path policy to override temporary path environment
    variables (e.g. MAGICK_TMPDIR).
  * Implement symbol versioning (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * ABI is incompatible if quantum depth change. Add abi indication to library
    name, thanks to Bastien Roucaries (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * The stream utility no longer returns a black image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22046).

2012-11-26  6.8.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-7, SVN revision 10029.

2012-11-25  6.8.0-7 Cristy  <quetzlzacatenango@image...>
  * Width value is optional for label coder (e.g. -size x40 label:Magick).

2012-11-20  6.8.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-6, SVN revision 10024.

2012-11-21  6.8.0-6 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed an old bug in chromaticity decoding in coders/bmp.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22294).
  * Fixed bug in coders/bmp.c that failed to read a paletted image
    properly (fix by J. Summers, reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22316).

2012-11-21  6.8.0-6 Cristy  <quetzlzacatenango@image...>
  * Fixed bug in coders/bmp.c that failed to read transparency
    properly (fix by J. Summers, reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22312).

2012-11-20  6.8.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-5, SVN revision 10001.

2012-11-15  6.8.0-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Added % escape prefixes %[artifact:..] and %[option:..]
    Including glob search,  EG:  -print "__Options__\n%[option:*]"
    (backport from IMv7 changes)

2012-11-10  6.8.0-5 Cristy  <quetzlzacatenango@image...>
  * Revert HCL saturation strategy patch, it improperly clips white to black.
  * Default to -dEPSCrop for Ghostscript unless eps:use-crop=false (reference
    https://bugzilla.redhat.com/show_bug.cgi?id=832690#c2).
  * Add support for -poly, build a polynomial from the image sequence and the
    corresponding terms (coefficients and degree pairs).
  * Support the OLE Macintosh image format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=22257).

2012-11-08  6.8.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Implemented faster decoding of interlaced PNG images.

2012-11-03  6.8.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Skip PNG palette-building when it is not needed.
  * Let libpng expand sub-8-bit pixels while reading a PNG file.

2012-11-01  6.8.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-4, SVN revision 9832.

2012-10-31  6.8.0-4 Cristy  <quetzlzacatenango@image...>
  * PFM images are grayscale, not sRGB (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22178).
  * Keep YCbCR JPEG compressed TIFF images in the YCbCr colorspace (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22148).

2012-10-27  6.7.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write sRGB chunk if image->gamma isn't close to (1/2.2), i.e.,
    (0.45 <= gamma <= 0.46) (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22139).

2012-10-25  6.8.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-3, SVN revision 9783.

2012-10-21  6.8.0-3 Cristy  <quetzlzacatenango@image...>
  * TIFF positional information must be positive (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22106).
  * Set the compression quality for the Webp image format.

2012-10-21  6.8.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-2, SVN revision 9738.

2012-10-20  6.8.0-2 Cristy  <quetzlzacatenango@image...>
  * Wait for more bytes if the number of returned bytes is less than
    requested in ReadBlob().
  * Prefer fullname property for font, if it exists, otherwise family + style.

2012-10-17  6.8.0-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Added LanczosRadius filter, that blurs an EWA Lanczos to a integer
    support size. Equivalent to Lanczos in tensor resize case.

2012-10-16  6.8.0-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-1, SVN revision 9632.

2012-10-12  6.8.0-1 Cristy  <quetzlzacatenango@image...>
  * Fix color management for the -solarize option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22059).
  * Some colormap unit tests failed for a quantum depth of 32 (problem
    report from Glenn Randers-Pehrson).

2012-10-12  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-0, SVN revision 9594.

2012-10-07  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * Check -fx expression early to prevent fault.
  * Performance boost for iOS / Android requires a SO major version increment.
  * Corrupt PNG image could cause a memory leak (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22024).

2012-10-06  6.7.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-10, SVN revision 9514.

2012-10-01  6.7.9-10 Cristy  <quetzlzacatenango@image...>
  * SVG specs says "1pt" equals "1.25px" (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21967).
  * Support TIFF proprietary tag 34118.
  * The define option is no longer "lazy" interpretation (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=22007).

2012-10-01  6.7.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-9, SVN revision 9473.

2012-09-27  6.7.9-9 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in JPEG decoder when reading a corrupt image (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21948).
  * Add exif:thumbnail namespace to distiguish orientation tag (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21938).
  * Respect DPX data offsets (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21960).

2012-09-26  6.7.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-8, SVN revision 9437.

2012-09-24  6.7.9-8 Cristy  <quetzlzacatenango@image...>
  * Off-by-one error in DrawPolygonPrimitive().
  * Fix memory leak in WebP decoder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21943).
  * Certain caption phrases were cut off (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21550).

2012-09-22  6.7.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-7, SVN revision 9410.

2012-09-20  6.7.9-7 Cristy  <quetzlzacatenango@image...>
  * jpeg:sampling-factor might be an image property or an option (reference
https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21884).

2012-09-15  6.7.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-6, SVN revision 9375.

2012-09-14  6.7.9-6 Cristy  <quetzlzacatenango@image...>
  * Don't compand the YCC colorspace, its already companded.

2012-09-12  6.7.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-5, SVN revision 9358.

2012-09-12  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Merge static inline Sigmoidal functions from IM7 to IM6.

2012-09-12  6.7.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * All untapered windowing filters Welch and Cosine changed to use a 3 lobe
    support (like Lanczos). These were not part of the original 'zoom' program.

2012-09-11  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * sigmoidal-contrast: prevent out of range argument.

2012-09-09  6.7.9-5 Cristy  <quetzlzacatenango@image...>
  * The number of default OpenMP threads is 1 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=23&t=21838).
  * Only first image of raw grayscale image was set to GRAY (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21428).
  * Change sigmoidal-contrast define to inline method to conform with ANSI-C
    requirements.

2012-09-10  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * enhance.c improvements:
  * Add tanh/atanh clone of legacy sigmoidal map (faster & more accurate);
  * Add final ClampToQuantum in sigmoidal colormap loop;
  * Remove OpenMP for threads that do not loop over rows;
  * Immediate no-op exit from sigmoidal-contrast if contrast<MagickEpsilon.

2012-09-08  6.7.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-4, SVN revision 9282.

2012-09-05  6.7.9-4 Cristy  <quetzlzacatenango@image...>
  * Identify image files with embedded '%d' (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21798).
  * Don't include TIFF header for compress.c source module
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21800).

2012-09-01  6.7.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-3, SVN revision 9202.

2012-08-28  6.7.9-3 Cristy  <quetzlzacatenango@image...>
  * Support -channel sync option for -equalize (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21746).
  * Don't remove color profile when setting the image colorspace (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21747).
  * Recognize ICO format in URL (e.g. http://www.google.com/favicon.ico).
  * Don't define HAVE_BOOLEAN for JPEG under MinGW (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=14071).

2012-08-26  6.7.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-2, SVN revision 9120.

2012-08-25  6.7.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug in Q32 builds that erroneously read grayscale 16-bit PNGs
    as PseudoColor.

2012-08-24  6.7.9-2 Cristy  <quetzlzacatenango@image...>
  * Support -channel option for -solarize (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21738).

2012-08-23  6.7.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-1, SVN revision 9095.

2012-08-22  6.7.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * The gAMA chunk with gamma==1.0 was ignored while deciding whether to set
    the image colorspace to GRAY when reading grayscale PNG images.

2012-08-16  6.7.9-1 Cristy  <quetzlzacatenango@image...>
  * Adjust scaling for Luv colorspace conversion (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21664).
  * Copy alpha channel of the -median option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21694).
  * Don't add matte channel for -coalesce if input images don't have one.
  * Prevent memory leak in ImageToBlob() if image write fails.
  * In rare cases, label would not auto-size properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21716).
  * Identify command now reports the image colorspace for non-verbose results.
  * Account for stroke width when rendering a caption (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=21721).
  * Don't colorize alpha channel if it is not active (reference
   https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21547

2012-08-15  6.7.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-0, SVN revision 8970.

2012-08-14  6.7.9-0 Cristy  <quetzlzacatenango@image...>
  * RGB -> HCL, return correct hue when g < b < r (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21646).
  * Prefer inkscape for best SVG compliance.
  * HCL -> RGB conversion enhancement (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21663).
  * Utilize inkscape if it is in your execution path otherwise RSVG.  If
    neither is available, revert to the internal SVG renderer.
  * Initialize image->x_resolution and y_resolution to 0 in image.c
    (previously they were initialized to DefaultResolution, which is 72.0).

2012-08-12  6.7.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-10, SVN revision 8915.

2012-08-10  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * Respect the image mask for option -selective-blur (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21631).
  * Fix multiple issues with BMPv5 colorimetry (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21640).

2012-08-10  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-9, SVN revision 8902.

2012-08-07  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * Selective blur stopped working after version 6.7.4-10 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21604).
  * Color reduction now handles transparent pixel properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18463).
  * ClipImagePath() now returns a valid SVG XML for Windows x64 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21617).

2012-08-05  6.7.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-8, SVN revision 8845.

2012-08-03  6.7.8-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added 2d named convolution kernel Binomial (for Fred Wienhaus)

2012-08-01  6.7.8-8 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Clean up sigmoidal-contrast.

2012-07-31  6.7.8-8 Cristy  <quetzlzacatenango@image...>
  * Use ConcatenateString() for multi-block GIF comments.
  * Caption no longer chops off text (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21558).
  * Support LUV colorspace.
  * Support HCL colorspace.
  * Don't transform the composite image colorspace, set it instead.
  * Interpret -border 5% as 5% of width and 5% of height (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21537).
  * Don't normalize zero-sum kernels (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21584).
  * Transform grayscale to linear RGB if fill color is non-gray (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21586).

2012-07-30  6.7.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-7, SVN revision 8766.

2012-07-28  6.7.8-7 Glenn Randers-Pehrson <glennrp@image...>
  * Update certain typecasts for libpng < and >= 1.4.0 to allow memory
    allocation > 4GB and prevent a DOS.

2012-07-28  6.7.8-7 Cristy  <quetzlzacatenango@image...>
  * Set DICOM grayscale images to the gray colorspace.
  * Missing grestore from ps3.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20445).
  * Use GetMagickResourceLimit(ThreadResource) to set the # threads (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21543).

2012-07-22  6.7.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Only report sRGB, iCCP, gAMA, cHRM chunks in "identify" output when
    these chunks were actually present in input, and not when they were
    inserted by the PNG decoder.

2012-07-22  6.7.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-6, SVN revision 8720.

2012-07-21  6.7.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Make sure "intent" is initialized in the PNG decoder.

2012-07-21  6.7.8-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-5, SVN revision 8717.

2012-07-20  6.7.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Corrected an error in the logic introduced in 6.7.8-3 to always write
    a color PNG when image->colorspace is sRGB.

2012-07-19  6.7.8-5 Cristy  <quetzlzacatenango@image...>
  * Inverse YUV colorspace now produces pure red as expected.
  * Support halted streams:
    cat image.pnm | convert 'pnm:fd:0[0]' 'pnm:fd:0[0]' x:.

2012-07-18  6.7.8-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-4, SVN revision 8697.

2012-07-17  6.7.8-4 Glenn Randers-Pehrson <glennrp@image...>
  * Write ICON subimage as PNG32, only when its dimensions are 256x256
    and image->compression is UndefinedCompression or ZipCompression.

2012-07-16  6.7.8-4 Cristy  <quetzlzacatenango@image...>
  * sRGB color gradients should be in a non-linear colorspace.
  * Fix -fx to interpret scientific notation properly.
  * The draw epsilon was too sensitive.

2012-07-15  6.7.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-3, SVN revision 8675.

2012-07-14  6.7.8-3 Glenn Randers-Pehrson <glennrp@image...>
  * Always write a color PNG when image->colorspace is sRGB.

2012-07-08  6.7.8-3 Cristy  <quetzlzacatenango@image...>
  * Attenuate random noise (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21387).
  * Return linear grayscale for gradient:white-black.
  * Promote linear grayscale to linear RGB when compositing.
  * gradient:white-black is sRGB whereas gradient:'icc-color(rgb,255,255,255)-
    icc-color(rgb,0,0,0)' is linear RGB whereas gradient:'gray(255)-gray(0)' is
    linear grayscale.
  * Revert sigmoidal contrast define (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=22&t=21415).

2012-07-08  6.7.8-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-2, SVN revision 8621.

2012-07-02  6.7.8-2 Cristy  <quetzlzacatenango@image...>
  * Set the colorspace to linear gray when reading intensity values (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21362).
  * Don't overrun pixel buffer on inverse fourier for odd image widths.
  * Change LAB encoding to permit blurring, resize, etc.
    (signed A and B channel values now stored using a 50% bias)

    Additional.. This removes a non-linear discontinuity from stored LAB space
    values. As a result you can now Blur, Compose, Resize and Distort in LAB
    colorspace, without problems that previously existed.

2012-07-04  6.7.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-1, SVN revision 8595.

2012-07-02  6.7.8-1 Cristy  <quetzlzacatenango@image...>
  * A single argument -stereo option now works as documented (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21348).
  * The -separate option returns channels as linear grayscale.
  * Remove the sRGB color profile when converting to grayscale (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21355).

2012-06-29  6.7.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-0, SVN revision 8554.

2012-06-28  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * Increase epsilon value, smallest difference between two points (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=15870).

2012-06-28  6.7.7-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-10, SVN revision 8534.

2012-06-26  6.7.7-10 Glenn Randers-Pehrson <glennrp@image...>
  * Don't attempt to use Z_RLE compression strategy with old zlib (prior to
    zlib-1.2.0) that does not support it.
  * Increase PLTE chunk length to accommodate background color in indexed PNG
    (reference imagemagick.org/discourse-server/viewtopic.php?f=1&t=21288).
  * Added png:PLTE.number_colors to verbose output.

2012-06-25  6.7.7-10 Cristy  <quetzlzacatenango@image...>
  * Permit linear RGB for PNM and TIFF image formats.
  * Fix conflicting types for 'GenerateDifferentialNoise' (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21286).
  * Fix cast to pointer from integer of different size (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21286).
  * Fix broken MSL profile tag (reference
    https://imagemagick.org/discourse-server/viewforum.php?f=9).
  * Better recognition of a CMYK PDF.

2012-06-24  6.7.7-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-9, SVN revision 8460.

2012-06-23  6.7.7-9 Cristy  <quetzlzacatenango@image...>
  * Some options were incorrectly promoting linear gray to sRGB.

2012-06-22  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-8, SVN revision 8432.

2012-06-15  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * Support the -features option in convert / mogrify.
  * Add support for the %[type] property.

2012-06-15  6.7.7-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Geometry arguments accept multiple sign character for offsets
    EG: "-10-10", "-+10-+10", or "+-10+-10" generate negative offsets
    while "+10+10", "++10++10", or "--10--10" generate positive offsets,
    that is, you can not only optionally have a sign in offset variable
    substitutions, but can negate that substitution if you so desire.

2012-06-12  6.7.7-8 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Refactor Catmull-Rom and Spline "interpolation" using
    state-of-the-art unpublished formulas.
  * Fix incorrect transparency handling of "interpolative" cubic
    B-spline smoothing.

2012-06-09  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * Initialize alpha channel when floodfill fill color is not opaque.
  * XYZ and Lab colorspace conversion tweaked (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21161).

2012-06-08  6.7.7-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-7, SVN revision 8219.

2012-06-06  6.7.7-7 Glenn Randers-Pehrson <glennrp@image...>
  * Disabled the new libpng-1.5.10 test for invalid palette index when
    reading a PNG or MNG (for speed), or when writing a MNG (because a
    zero-length PLTE is valid in a MNG when the global PLTE is used).
  * Display the PNG colortype as a string in "identify -verbose" output.

2012-06-06  6.7.7-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Small refactor of Average Interpolators (save some multiplies)
  * Added 'Spline' as a filter type as an alias to 'Cubic'. This brings both
    Catrom and Spline -filter and -interpolate methods in line.  Cubic should
    only be used when defining a general cubic using expert settings or
    when listed in "filter:verbose" debugging output.

2012-06-05  6.7.7-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-6, SVN revision 8164.

2012-06-05  6.7.7-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Renamed 'Bicubic' interpolation the more precise definition 'Catrom'
    Old name kept (but hidden) for backward compatibility in bit CLI and
    API interfaces.

2012-06-01  6.7.7-6 Cristy  <quetzlzacatenango@image...>
  * The -set colorspace option sets the colorspace, it does not transform it.
  * Assume grayscale images in the GIF format are linear.
  * Add Nicolas Robidoux's bicubic interpolation method (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21118).
    This replaces the old 'bicubic' which was very extreme 'cardinal' cubic.
  * Add DuPont & XFIG copyright to NOTICE.
  * sRGB.icc has an unfriendly license, remove it.
  * MinGW does not define KEY_WOW64_32KEY (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=21155).
  * -evaluate log properly handles negative pixel values.
  * The display program displays the ImageMagick logo on EOF.

2012-05-31  6.7.7-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-5, SVN revision 8099.

2012-05-31  6.7.7-5 Cristy  <quetzlzacatenango@image...>
  * Set terminal character for GIF comment.

2012-05-30  6.7.7-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-4, SVN revision 8096.

2012-05-30  6.7.7-4 Cristy  <quetzlzacatenango@image...>
  * 'convert 1-bit.tif -rotate 90 ...' returns a 1-bit TIFF image as expected.

2012-05-29  6.7.7-4 Glenn Randers-Pehrson <glennrp@image...>
  * Ignore APNG chunks even when libpng is built with the "APNG patch".

2012-05-29  6.7.7-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-3, SVN revision 8089.

2012-05-28  6.7.7-3 Cristy  <quetzlzacatenango@image...>
  * Fix bug with stroke-dasharray (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21090).
  * In rare cases, caption would not word-wrap properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21106).
  * Don't set alpha pixels in SetImageVirtualPixelMethod() unless
    image area is well defined (i.e. != 0) (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=21110).

2012-05-27  6.7.7-3 Anthony Thyssen <A.Thyssen@griffith...>
  * Trialing the addition of new interpolation methods
      Average16         average of 16 pixels around sampling point
      Average9          9 pixels around nearest pixel
      Average4          Average of 4 pixels around sampling point
      Background        Background color (for resampling error checking)
      Blend             Blend of closest 1, 2 or 4 pixel neighbors
    NOTE: 'Average' is now equivalent to 'Average4',
    previous to this version it was equivalent to 'Average16'.
    The 'Background' method is for showing 'resample errors' be it
    accidental, or on purpose.  See IM Examples, Cylindrical Filters.
  * added -interpolative-resize added around this version

2012-05-26  6.7.7-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-2, SVN revision 8066.

2012-05-26  6.7.7-2 Cristy  <quetzlzacatenango@image...>
  * MagickDelay() is in microseconds, not milliseconds.

2012-05-25  6.7.7-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-1, SVN revision 8059.

2012-05-20  6.7.7-1 Cristy  <quetzlzacatenango@image...>
  * In rare cases, caption would not word-wrap properly (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21044).
  * Set the JPEG image colorspace after the columns / rows are set (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21059).
  * Potential gray images are in either the gray or RGB colorspaces.
  * Restore MagickSetImageEndian() method (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=20425&p=81525).
  * Respect resolution when rendering SVG (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21076).

2012-05-20  6.7.7-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Delegates now 'spawn' faster (replaced 2 second sleep!) (for "show:")

2012-05-17  6.7.7-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-0, SVN revision 7980.

2012-05-17  6.7.7-0 Cristy  <quetzlzacatenango@image...>
  * Group4-compressed TIFF / PDF image formats stopped working (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=21039).
  * Auto convert images in the grayscale colorspace to sRGB (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=21031).

2012-05-16  6.7.6-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-10, SVN revision 7952.

2012-05-14  6.7.6-10 Glenn Randers-Pehrson <glennrp@image...>
  * Reset color info in grayscale PNG images to gamma=1.0, undefined
    rendering_intent and chromaticity only when reading images that don't
    have a gAMA, sRGB, or cHRM chunk.

2012-05-14  6.7.6-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Added a low level "Cosine" Windowing Filter -- Request by Nicholas Robidox
  * Fixed Kaiser Window Filter (was producing all zeros!)
  * Kaiser Window Function now uses the working value "filter:kaiser-beta"
    (formerly "filter:alpha" in previous versions)
  * Setting the expert option "filter:kaiser-alpha" will override this,
    (after being multiplied by PI).
  * Added resampling 'weight' sanity check in EWA resampling.
  * Set default for histogram:unique-colors to be 'true' when undefined
    Returning it to previous behavior.
  * Refactor of InterpretImageProperties() (percent escape substitutions)
  * Add "gamma" as a -set and % escape to access image gamma meta-data

2012-05-05  6.7.6-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-9, SVN revision 7812.

2012-05-05  6.7.6-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Allow braced single letter escapes, EG "%[x]" as equivalent to "%x"

2012-05-04  6.7.6-9 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write an invalid PNG sRGB chunk when rendering intent is undefined.

2012-05-01  6.7.6-9 Cristy  <quetzlzacatenango@image...>
  * EXR images are in the linear RGB colorspace with a gamma of 1.0 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=20895).
  * Correct annotation offset for right-to-left labels (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20884).
  * The -level 100x0% now produces the equivalent of -negate (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20889).
  * Virtual pixel transparent no longer cause fatal exception (reference
    https://imagemagick.org/discourse-server/viewtopic.php?t=20903).
  * Promote gray image to sRGB when color is injected.

2012-04-29  6.7.6-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-8, SVN revision 7705.

2012-04-25  6.7.6-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Gaussian Filter Fixed.
    For some strange reason it was half the width it should be with an
    effective sigma of 0.25 (not 0.5).  This was the real reason "variable
    blur" was not blurring enough.

2012-04-24  6.7.6-8 Cristy  <quetzlzacatenango@image...>
  * Colorspace round-trip unit tests now work for Q32.

2012-04-23  6.7.6-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added the RobidouxSharp filter (originally defined Dec 2011)
  * Fixed Variable Blur - bad blur area calculation
    Also Gaussian is sampling properly. Substitute the faster Cubic for now.
  * Convert no longer will do an implicit write to a single space image.

2012-04-21  6.7.6-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-7, SVN revision 7587.

2012-04-21  6.7.6-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Error when doing an implicit (final) write to a single space filename.
    This is typically a failed line continuation and is very common.
    Using an explicit "-write" will let you do this.

2012-04-20  6.7.6-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Allow +-X+-Y as geometry arguments.

2012-04-17  6.7.6-7 Cristy  <quetzlzacatenango@image...>
  * Distinguish grayscale as sRGB not linear RGB.

2012-04-16  6.7.6-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-6, SVN revision 7536.

2012-04-11  6.7.6-6 Glenn Randers-Pehrson <glennrp@image...>
  * Always unlock the semaphore before returning from the png codec, either
    by a "return" or png_error(); changed all Magick*Exception() calls
    after setjmp() to png_error() to ensure proper cleanup (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=16883).

2012-04-10  6.7.6-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Fixed log known alpha*kernel normalization bug in morphology convolve.

    Convolve kernel weights have been separated from alpha blend handling.
    Un-normalized kernels applied to images with active alpha will no longer
    be auto-normalized due to the effect of alpha blending.  The bug causes
    images using the default channel setting and having an alpha channel to
    automatically 'normalize' the results of a convolve during the handling
    of alpha blending.  This probably would cause severe effects when a
    zero-summing kernel is being used on an image containing an active (though
    likely fully-opaque) alpha channel, as division by near zero weights
    would cause extreme color values in results.  This bug is not normally
    seen as convolution, which is normally applied only to fully-opaque
    images. And using a zero-summing kernel on an image with alpha also
    results in a transparent image!  This is why it was not fixed up until now.

2012-04-08  6.7.6-6 Cristy  <quetzlzacatenango@image...>
  * Pixel allocation for Pango is stride*rows not stride*columns.
  * Set the image resolution for Postscript files with an embedded Photoshop
    profile.
  * Ensure proper round trips to / from sRGB (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20751).

2012-04-07  6.7.6-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-5, SVN revision 7483.

2012-04-06  6.7.6-5 Cristy  <quetzlzacatenango@image...>
  * Avoid fault in SetCacheAlphaChannel() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20681).
  * Don't assume EXIF orientation tag is 2 bytes.

2012-04-04  6.7.6-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-4, SVN revision 7356.

2012-04-01  6.7.6-4 Cristy  <quetzlzacatenango@image...>
  * Properly set the XCF alpha channel values (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20642).
  * Support 'orientation' property (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=20650).
  * The default RGB colorspace transform is now linear (reference
    https://imagemagick.org/discourse-server/viewtopic.php?p=82839#p82839).
  * Prevent EXIF integer overflow (CVE-2012-1610).

2012-03-30  6.7.6-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-3, SVN revision 7290.

2012-03-29  6.7.6-3 Cristy  <quetzlzacatenango@image...>
  * Don't copy invalid memory when reading TIFF EXIF IFD (CERT-FI case 634116,
    CVE-2012-1798).
  * Bail if we receive excessive JPEG warnings (CERT-FI case 634117,
    CVE-2012-0260).
  * Properly initialize EXIF buffers to prevent JPEG EXIF tag crash (CERT-FI
    case 634118, CVE-2012-0259).

2012-03-28  6.7.6-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-2, SVN revision 7245.

2012-03-26  6.7.6-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Added "Nearest" as a synonym for "Nearest-Neighbor" interpolate setting

2012-03-21  6.7.6-2 Glenn Randers-Pehrson <glennrp@image...>
  * coders/png.c: stored "file_gamma" for later use by identify.

2012-03-19  6.7.6-2 Cristy  <quetzlzacatenango@image...>
  * Add full support for Pango markup.
  * Pango namespace is 'pango:', not 'caption:'.
  * Correct for EXR images with broken display windows.

2012-03-18  6.7.6-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-1, SVN revision 7145.

2012-03-16  6.7.6-1 Glenn Randers-Pehrson <glennrp@image...>
  * Reduce the scope of quantum_info in the PNG decoder to avoid a possible
    memory leak (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20522).

2012-03-13  6.7.6-1 Cristy  <quetzlzacatenango@image...>
  * Use uint32 pointer for ReadStripMethod in coders/tiff.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20526).
  * Ghostscript 32/64 bit detection patch (contributed by
    axeld@pinc-...).
  * Honor center gravity for caption: with Pango support (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20517).
  * Add support for pango: coder to render captions with Pango.

2012-03-10  6.7.6-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-0, SVN revision 7090.

2012-03-06  6.7.6-0 Cristy  <quetzlzacatenango@image...>
  * Importing from the X11 root windows no longer leaks memory (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20470).
  * Check to see if delegate file exists before copying.

2012-03-05  6.7.5-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-10, SVN revision 7056.

2012-03-05  6.7.5-10 Cristy  <quetzlzacatenango@image...>
  * Fix too many arguments to AnnotateImage() (copy/paste bug).

2012-03-02  6.7.5-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-9, SVN revision 7046.

2012-02-29  6.7.5-9 Cristy  <quetzlzacatenango@image...>
  * Caption no longer includes the prefix "caption:" in the rendered text.
  * Auto scale pointsize for -size 100x100 caption:

2012-03-02  6.7.5-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-8, SVN revision 7027.

2012-03-02  6.7.5-8 Glenn Randers-Pehrson <glennrp@image...>
  * non-verbose identify now reports DirectClass for transparent PNG images
    to agree with the report by identify -verbose.  (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20448 and
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=15482).

2012-02-29  6.7.5-8 Cristy  <quetzlzacatenango@image...>
  * Support infinite caption lengths.
  * Permit custom JPEG quantization tables (e.g.
    -define jpeg:q-table=quantization-table.xml).
  * Missing grestore from ps2.c (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20445).

2012-02-29  6.7.5-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Image list options (like "-delete" and "-swap") to "montage".

2012-02-25  6.7.5-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-7, SVN revision 6965.

2012-02-23  6.7.5-7 Cristy  <quetzlzacatenango@image...>
  * Add support for the EMFPlus delegate program.

2012-02-22  6.7.5-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Re-added the Iterative Distance function in morphology (as opposed to the
    faster more direct 2-pass Distance Function that replaced it) so it can be
    used in the special situation of Constrained Distance Morphology.
    https://imagemagick.org/discourse-server/viewtopic.php??f=2&t=18032

2012-02-13  6.7.5-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-6, SVN revision 6851.

2012-02-13  6.7.5-6 Cristy  <quetzlzacatenango@image...>
  * Only set PDF & PS page size when explicitly requested (e.g. -page).

2012-02-12  6.7.5-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-5, SVN revision 6840.

2012-02-12  6.7.5-5 Cristy  <quetzlzacatenango@image...>
  * Only use the canvas size of the very first frame of a GIF image sequence.

2012-02-11  6.7.5-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-4, SVN revision 6824.

2012-02-08  6.7.5-4 Cristy  <quetzlzacatenango@image...>
  * Set image alpha channel for -virtual-pixel background and transparent.
  * Get tiff:fill-order as an image artifact, not an image option.

2012-02-06  6.7.5-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-3, SVN revision 6732.

2012-02-06  6.7.5-3 Cristy  <quetzlzacatenango@image...>
  * TIFF no longer writes the incorrect fill order.

2012-02-05  6.7.5-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-2, SVN revision 6718.

2012-02-03  6.7.5-2 Cristy  <quetzlzacatenango@image...>
  * Add SyncImagePixelCache() to ensure cache morphology is consistent.
  * Patch so two -colorspace options return correct results for round-trip.

2012-02-02  6.7.5-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-1, SVN revision 6684.

2012-01-30  6.7.5-1 Cristy  <quetzlzacatenango@image...>
  * Support the -alpha remove option (use it to remove transparency from PDF,
    convert -density 200 apple.pdf -alpha remove x:).
  * Use union instead of casting gzFile and BZFILE.
  * Don't treat PSD user channel as alpha (patch from Dominic Benson).
  * Prevent overflow when casting short int to size_t when parsing a
    maliciously crafted image with an IFD whose all IOP tags' value offsets
    point to the beginning of the IFD itself [CVE-2012-0247].
  * Prevent DES when parsing a maliciously crafted image with an IFD whose
    all IOP tags' value offsets point to the beginning of the IFD itself
    [CVE-2012-0248].
  * Caption with Pango support no longer return a blank canvas.
  * Correct sRGB colorspace conversion equations.

2012-01-30  6.7.5-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fix bug in png coder (spurious warning, reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=20257).

2012-01-28  6.7.5-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-0, SVN revision 6606.

2012-01-25  6.7.5-0 Cristy  <quetzlzacatenango@image...>
  * Zlib-1.2.5.2 requires gzFile cast (bug report from John Bowler).

2012-01-25  6.7.4-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-10, SVN revision 6592.

2012-01-25  6.7.4-10 Cristy  <quetzlzacatenango@image...>
  * Update PerlMagick TIFF regression signatures to match endian order.

2012-01-24  6.7.4-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-9, SVN revision 6589.

2012-01-24  6.7.4-9 Cristy  <quetzlzacatenango@image...>
  * Fix rare file link in the pixel cache.

2012-01-20  6.7.4-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-8, SVN revision 6551.

2012-01-19  6.7.4-8 Cristy  <quetzlzacatenango@image...>
  * Although MagickRealType is a double, use double for KernelInfo values in
    the rare event of problems with C++ name mangling.
  * Get strokes with patterns (e.g. -stroke xc:red) working again.
  * Revert KernelInfo values from MagickRealType to double.

2012-01-17  6.7.4-8 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write ancillary chunks (except for tRNS and gAMA) in PNG-encoded
    ICO files.

2012-01-14  6.7.4-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-7, SVN revision 6471.

2012-01-13  6.7.4-7 Cristy  <quetzlzacatenango@image...>
  * Default to a lighter hinting algorithm for non-monochrome font rendering.

2012-01-12  6.7.4-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-6, SVN revision 6434.

2012-01-12  6.7.4-6 Cristy  <quetzlzacatenango@image...>
  * Eliminate preprocessor exception for the HDRI build.

2012-01-10  6.7.4-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-5, SVN revision 6422.

2012-01-02  6.7.4-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed -black-threshold and -white-threshold so they work properly with
    the -channels option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20096).

2012-01-02  6.7.4-5 Glenn Randers-Pehrson <glennrp@image...>
  * Removed PNG_USE_CLONE cruft from the PNG encoder (see 2011-11-19 entry)
  * Promote image depths 9-15 to 16 to avoid crashing in the PNG
    encoder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20098).

2012-01-01  6.7.4-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-4, SVN revision 6318.

2011-12-30  6.7.4-4 Glenn Randers-Pehrson <glennrp@image...>
  * Fix problems with JNG encoder "quality" (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20076).

2011-12-30  6.7.4-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-3, SVN revision 6310.

2011-12-28  6.7.4-3 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in JP2 coder (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20071).
  * Use maximum bounds when rendering PDF (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20078).

2011-12-25  6.7.4-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-2, SVN revision 6254.

2011-12-24  6.7.4-2 Cristy  <quetzlzacatenango@image...>
  * Export new Windows binaries.

2011-12-21  6.7.4-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-1, SVN revision 6236.

2011-12-12  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * Sped up -noise option when radius is 0.
  * Read concatenated arcs correctly in a SVG path (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19992).
  * PDF's now convert properly with -define pdf:use-cropbox=true (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=20033).

2011-12-09  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-0, SVN revision 6162.

2010-12-06  6.7.4-0 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminated use of FARDATA in coders/png.c; it won't be supported in
    libpng-1.6.0 and is not needed now.

2011-11-29  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * Add GetQuantumFormat() method to return the quantum format (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=19961).
  * Allow unspecified width/height in geometries with the aspect flag (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19964).
  * MagickGetImageDepth() no longer returns the depth setting but instead
    computes the depth of the image.

2011-12-02  6.7.4-0 Anthony  <quetzlzacatenango@image...>
  * Fixed Equal-Area Cropping (size and minimum of delta increments)

2011-12-01  6.7.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-10, SVN revision 6106.

2011-11-29  6.7.3-10 Cristy  <quetzlzacatenango@image...>
  * Delay reading TIFF EXIF properties to prevent premature exit.
  * Remove duplicates from the configuration file search path under Windows.
  * Use viewbox offset when setting affine transform translation (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19943).
  * Ensure equally sized tiles for -crop 11x2@ (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18322).
  * Recognize SI prefixes for jpeg:extent (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19944).

2011-11-27  6.7.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-9, SVN revision 6092

2011-11-27  6.7.3-9 Cristy  <quetzlzacatenango@image...>
  * Upgrade libtool / ltdl to version 2.4.7.

2011-11-25  6.7.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-8, SVN revision 6084

2011-11-20  6.7.3-8 Cristy  <quetzlzacatenango@image...>
  * The exif:ExposureBiasValue property is a signed value.
  * Prevent buffer underflow for 1-bit PSD images.
  * Don't include alpha channel when computing range unless image->matte is
    set.
  * Set FILETYPE_REDUCEDIMAGE tag on pyramidal TIFF images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19892).
  * Correct image geometry for Postscript for hi-res bounding box (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19807).

2011-11-19  6.7.3-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with scaling Q16 background to PNG sub-8-bit bKGD and
    again disabled PNG_USE_CLONE in coders/png.c.

2011-11-18  6.7.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-7, SVN revision 6024

2011-11-18  6.7.3-7 Cristy  <quetzlzacatenango@image...>
  * Ensure embedded XML resource file is null terminated (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19856).

2011-11-17  6.7.3-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Added a -define filter:alpha to contol the 'alpha value' of the
    Kaiser Windowing filter.  Default value is 6.5

2010-11-15  6.7.3-7 Glenn Randers-Pehrson <glennrp@image...>
  * Reverted the change of 6.6.6-7 that creates an image clone for use
    by the PNG encoder.  This was not useful and was somewhat wasteful.
  * After finding out that writing the bKGD chunk in sub-8-bit PNG fails,
    enabled PNG_USE_CLONE (to create an image clone again)

2011-11-14  6.7.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-6, SVN revision 5972.

2011-11-11  6.7.3-6 Cristy  <quetzlzacatenango@image...>
  * Prefer the hires bounding box for Postscript rendering (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19807).
  * Default configure.xml destination folder to /usr/lib/ImageMagick-ver/config.

2011-11-09  6.7.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-5, SVN revision 5936

2011-11-07  6.7.3-4 Cristy  <quetzlzacatenango@image...>
  * Add ShearRotateImage() method.  RotateImage() now uses distorts rather
    than shears.
  * MagickCoreGenesis() path must be accessible to use (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19795).

2011-11-06  6.7.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-4, SVN revision 5876

2011-11-02  6.7.3-4 Glenn Randers-Pehrson <glennrp@image...>
  * Ensure that the GIF encoder writes a large enough logical screen (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19734).

2011-11-02  6.7.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-3, SVN revision 5825

2011-11-02  6.7.3-3 Cristy  <quetzlzacatenango@image...>
  * Fix small memory leak in the TIFF coder.
  * Support -debug accelerate option.
  * Support -includearch-dir and -sharearch-dir configure option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19720).
  * Use Pango to improve the caption coder.

2011-11-01  6.7.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-2, SVN revision 5718

2011-11-01  6.7.3-2 Cristy  <quetzlzacatenango@image...>
  * Support Ghostscript under 64-bit Windows (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19659).
  * Correct affine translation for certain SVG files (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19664).
  * -evaluate-sequence multiply no longer hangs ereference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19549).

2011-10-15  6.7.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-1.

2011-10-15  6.7.3-1 Cristy  <quetzlzacatenango@image...>
  * Read TIFF EXIF profile before reading the image data.
  * Fix "test: no: unexpected operator" in the configure script (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19615).
  * Off by one error when writing the JPEG XMP profile (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19616).
  * Revert GetPathComponent() patch.

2011-10-09  6.7.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-0.

2011-10-09  6.7.3-0 Cristy  <quetzlzacatenango@image...>
  * Generate output for caption:"[!]" (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=19589.

2011-10-05  6.7.3-0 Glenn Randers-Pehrson <glennrp@image...>
  * Add "png:format" property with possible values png8, png24, and png32,
    for use when prepending the format type to the filename is not convenient
    or is not possible, e.g., when embedding the PNG in a PNG-encoded ICO.

2011-10-04  6.7.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-10.

2011-10-04  6.7.2-10 Cristy  <quetzlzacatenango@image...>
  * Remove most of the LLVM compiler warnings.
  * Fix bug in -evaluate-sequence multiply (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19549).
  * Upgrade to sRGB V4 ICC profile (reference
    http://www.color.org/srgbprofiles.xalter).
  * Distinguish embedded PNG vs BMP within the MicroSoft ICON image format.

2011-09-30  6.7.2-10 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize the sRGB version 4 ICC profile and write PNG sRGB chunk instead.
  * Use crc32 instead of "sRGB" string to recognize certain sRGB profiles.

2011-09-26  6.7.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-9.

2011-09-26  6.7.2-9 Cristy  <quetzlzacatenango@image...>
  * Fix race condition on image rotate @ 90 degrees.

2011-09-25  6.7.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-8.

2011-09-20  6.7.2-8 Cristy  <quetzlzacatenango@image...>
  * Prevent infinite loop when font is too large for specified width (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19502).
  * Fix LFS cross-compile detection (patch from Mike Frysinger).
  * Add open_utf8(), fopen_utf8(), access_utf8(), etc. utility methods.

2011-09-15  6.7.2-7 Cristy  <quetzlzacatenango@image...>
  * Convert empty .htm / .html file no longer removes source file.
  * -crop 11x2@ now returns 22 images as expected.
  * Enable reading the EXIF profile in a TIFF image under Windows.
  * Support drawing text with bitmap font.

2011-09-13  6.7.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-6.

2011-09-12  6.7.2-6 Cristy  <quetzlzacatenango@image...>
  * Expand pixel range for 12 bit DCM images stored in 16-bit words.
  * Gray images not displayed properly when saved as MIFF with sRGB
    colorspace.
  * OpenCL's clCreateContextFromType() no longer returns a system default.
  * Use -enable-zero-configuration for zero configuration ImageMagick
    (previously -enable-embeddable).

2011-09-10  6.7.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-5.

2011-09-10  6.7.2-5 Cristy  <quetzlzacatenango@image...>
  * SO bump.

2011-09-09  6.7.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-4.

2011-09-05  6.7.2-4 Cristy  <quetzlzacatenango@image...>
  * Fix cut-n-paste error when reading JPEG profiles.

2011-09-07  6.7.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-3.

2011-09-05  6.7.2-3 Cristy  <quetzlzacatenango@image...>
  * A small memory overwrite when reading TIFF with 1-bit alpha (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19417).
  * Remove a 2 byte memory leak when checking for environment variables.

2011-09-05  6.7.2-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-2.

2011-09-03  6.7.2-2 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize the sRGB ICC profile and write the PNG sRGB profile instead
    of a full iCCP chunk.

2011-08-31  6.7.2-2 Cristy  <quetzlzacatenango@image...>
  * Write grayscale MIFF as a single gray pixel component, not RGB (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=19403).
  * Bail gracefully for corrupt JPEG images.
  * Bail gracefully for negative montage geometries (references
    https://bugzilla.redhat.com/show_bug.cgi?id=735599).
  * Account for DCm bits allocated 16 and significant bits 12 (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19420).
  * Fix bug when appending JPEG image profiles (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19429).

2011-08-29  6.7.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-1.

2011-08-29  6.7.2-1 Cristy  <quetzlzacatenango@image...>
  * The AllChannels defined changed to 0x7ffffff to avoid integer overflow.

2011-08-26  6.7.2-0 Cristy  <quetzlzacatenango@image...>
  * HDR format 32-bit_rle_xyze implies the XYZ colorspace.

2011-08-22  6.7.1-10 Cristy  <quetzlzacatenango@image...>
  * Revert FormatImageAttributeList(), FormatImagePropertyList() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19339).

2011-08-21  6.7.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * Revised configure.ac (and configure) to look for -lpng15, -lpng14, -lpng12,
    and -lpng in that order instead of just -lpng.  This should help find
    a consistent library and headers when users upgrade their libpng delegate
    from one version to another, incompatible version.

2011-08-20  6.7.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-9.

2011-08-20  6.7.1-9 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in text annotation (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=19331).

2011-08-18  6.7.1-9 Glenn Randers-Pehrson <glennrp@image...>
  * The "-strip" option was excluding the PNG tRNS chunk (see 6.6.6-7, below);
  revised the -strip option so it behaves as
  if "-define PNG:include-chunk=none,trns,gama" had appeared on the commandline.
  * When writing a PNG8 and more than one transparent color is present,
  merge them into the image->background_color (Reference
  https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=19329),
  finishing the implementation started in version 6.6.8-7.

2011-08-18  6.7.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-8.

2011-08-18  6.7.1-8 Cristy  <quetzlzacatenango@image...>
  * Caption now wraps properly for Chinese text (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19249).

2011-08-18  6.7.1-8 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder would sometimes fail to respect the -define PNG:color-type
    option when the incoming image was PseudoClass (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=19262).

2011-08-15  6.7.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-7.

2011-08-15  6.7.1-7 Cristy  <quetzlzacatenango@image...>
  * Properly handled continued JPEG embedded profiles.

2011-08-12  6.7.1-6 Cristy  <quetzlzacatenango@image...>
  * Yet another attempt to read Japanese filenames under Windows.

2011-08-10  6.7.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-5.

2011-08-10  6.7.1-5 Cristy  <quetzlzacatenango@image...>
  * Revert -colorspace sRGB option patch (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19256).
  * Revert -type PaletteMatte option patch (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19263

2011-08-09  6.7.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-4.

2011-08-09  6.7.1-4 Cristy  <quetzlzacatenango@image...>
  * Revert MultiByteToWideChar() for Windows patch.

2011-08-05  6.7.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-3.

2011-08-05  6.7.1-3 Cristy  <quetzlzacatenango@image...>
  * Use MultiByteToWideChar() for Windows filenames (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=19242).

2011-08-03  6.7.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-2.

2011-08-02  6.7.1-2 Cristy  <quetzlzacatenango@image...>
  * Windows does not support acosh(), asinh(), or atanh().
  * Accept filenames with time stamps and a sub-image specification (e.g.
    test-18:37.jpg[0]).

2011-08-01  6.7.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-1.

2011-08-01  6.7.1-1 Cristy  <quetzlzacatenango@image...>
  * Support MSL 'set gravity' element.
  * Don't report HSB colors as RGB colornames (e.g. hsb(0%,0%,100%)).
  * Support -fx acosh(), asinh(), and atanh().

2011-07-21  6.7.1-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Removed a case that prevented rotations of rectangle kernels.

2011-07-01  6.7.1-0 Glenn Randers-Pehrson <glennrp@image...>
  * Use zlib default compression strategy instead of Z_RLE and Z_FIXED
    strategies when linking with zlib versions (prior to 1.2.0 and 1.2.2.2,
    respectively) that don't support them.
  * Exit test loop sooner in coders/png.c when a non-gray pixel is found.

2011-06-30  6.7.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-10.

2011-06-30  6.7.0-10 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define PNG:compression-level|strategy|filter=value" options to
    the PNG encoder.  If these options are used, they take precedence over
    the -quality option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?&f=1&p=73548).

2011-06-29  6.7.0-7 Glenn Randers-Pehrson <glennrp@image...>
  * Handle "-quality 97" properly in the png encoder, i.e., use intrapixel
    filtering when writing a MNG file and no filtering when writing a PNG file.
  * Added support for Z_RLE strategy in the png compressor, using
    -quality 98 or 99.

2011-06-28  6.7.0-10 Cristy  <quetzlzacatenango@image...>
  * Properly allocate points when render text with large font size (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18997).

2011-06-25  6.7.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-9.

2011-06-18  6.7.0-9 Cristy  <quetzlzacatenango@image...>
  * Defend against corrupt PSD resource blocks.

2011-06-15  6.7.0-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-8.

2011-06-14  6.7.0-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Initial implementation of Cylinder to/from Plane 3D Distorts
    Includes derivative (scaled lookup), and anti-aliased horizon (validity)
    Currently can NOT handle extractions from full 360 cylinder panoramas.

2011-06-13  6.7.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-7.

2011-06-09  6.7.0-7 Cristy  <quetzlzacatenango@image...>
  * Fixed "conversion from unsigned __int64 to double not implemented"
    so IM can compile under VisualStudio 6.

2011-06-08  6.7.0-7 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder would sometimes make black pixels transparent when some
    other gray level was supposed to be the transparent color (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18900).
    This occurred only with 1, 2, 4-bit grayscale images with Q16 or Q32
    builds.

2011-06-08  6.7.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-6.

2011-06-08  6.7.0-6 Cristy  <quetzlzacatenango@image...>
  * Fix transient error for composite 'Over' operator.

2011-06-07  6.7.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-5.

2011-06-07  6.7.0-5 Cristy  <quetzlzacatenango@image...>
  * Fix one-off bug in option parser (reference
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609177).
  * Transient bug with composite 'Over' in magick/composite-private.h.

2011-06-06  6.7.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-4.

2011-06-03  6.7.0-4 Cristy  <quetzlzacatenango@image...>
  * Support -direction right-to-left for the label: and caption: coders.
  * Blue / green reversed for JPEG-compressed TIFF images.

2011-06-03  6.7.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-3.

2011-06-02  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * Use memmove() instead of memcpy() in StripString().

2011-05-27  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-2.

2011-05-26  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * ImageMagick now compiles on Hurd (reference
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628020).
  * Use vfprintf rather than fprintf in FormatLocaleFileList().

2011-05-26  6.7.0-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-1.

2011-05-25  6.7.0-1 Cristy  <quetzlzacatenango@image...>
  * Not all Linux'es define locale_t (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18819).

2011-05-22  6.7.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-0.

2011-05-21  6.7.0-0 Cristy  <quetzlzacatenango@image...>
  * Avoid fault on corrupt JPEG images.
  * Avoid fault on certain DJVU images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18807).
  * Fix -fx to interpret scientific notation properly.

2011-05-20  6.6.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-10.

2011-05-20  6.6.9-10 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder now respects the -depth setting, including 1, 2, 4.
    Previously settings other than 8 and 16 were ignored (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18412).

2011-05-16  6.6.9-10 Cristy  <quetzlzacatenango@image...>
  * Don't use comma as a separator for stroked text (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18742).
  * Use C locale when generating or interpreting SVG.
  * Fix "unterminated macro" for Q32 build of coders/png.c.

2011-05-15  6.6.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-9.

2011-05-14  6.6.9-9 Cristy  <quetzlzacatenango@image...>
  * The -scale option now considers the alpha channel when scaling.
  * Fix transient bug for HSL to RGB and back.

2011-05-12  6.6.9-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed PNG8 reduction to work with an image that reduces to 256 colors
    plus transparency, by merging the two darkest red colors.

2011-05-04  6.6.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-8.

2011-05-02  6.6.9-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed some cut-and-paste errors in new png.c code that caused PNG8
    reductions to fail.

2011-05-02  6.6.9-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Add various Option Flags, and fix option skip counts for plus forms
    of simple operators where plus form is the same as minus form.
    For example the incorrect counts produces a weird error, and possible
    future segmentation fault in a command like  convert rose: +border show:

2011-04-30  6.6.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-7.

2011-04-30  6.6.9-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix FX default for interpolation to Bilinear.

2011-04-27  6.6.9-7 Cristy  <quetzlzacatenango@image...>
  * Fix pixel interpolation for -draw 'image Over' (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18612).

2011-04-26  6.6.9-7 Glenn Randers-Pehrson <glennrp@image...>
  * Write the proper bKGD chunk value in grayscale PNG images (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18624).

2011-04-25  6.6.9-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Inverse method for Sparse Color Interpolation

2011-04-24  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-6.

2011-04-21  6.6.9-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Make filter:blur define a multiplicative adjustment of filter settings
    rather than a complete override of those settings.
  * Add Flags to CommandOptions parse table, removing the need for
    ImageListOptions parsing table.  This is the start of development to
    produce a "convert" replacement that can read options from both command
    line and from files or pipelines, in "Do it Immediately" handling.
  * Crop Bug Fix. Prevent infinite loop with "+repage -crop 0x40"

2011-04-18  6.6.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Added "date" to the things that can appear on the -define PNG:exclude-chunk
    list.  This excludes the IM-generated Date:modify and Date:create
    properties from PNG output text chunks without excluding the rest of the
    text chunks.
  * Added "-define PNG:preserve-colormap" option (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18564).
  * Simplified LosslessReduceDepthOK() function in coders/png.c

2011-04-18  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * Add support for writing RGB FITS images as separate planes.

2011-04-16  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * Support the HDR 32-bit_rle_xyze format.
  * Fixed infinite loop for TARGA images with a V2 develop area.
  * Add signal handler for SIGBUS.

2011-04-15  6.6.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-5.

2011-04-15  6.6.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Added "#define PNG_PTR_NORETURN" because this macro does not work
    on all platforms with libpng15, with failure to load png_longjmp() (ref
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18518).

2011-04-14  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Layers Composition Bug Fix, animations attributes of first image not
    transferred in a single destination, multi-source image composition.

2011-04-09  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Add a special 'Voronoi' Morphology Distance method that will fill in holes
    using the nearest non-transparent edge pixel. It is experimental, and
    hidden from normal morphology usage, as it may be interfaced with a
    future hole-filling color 'Diffusion' method.

2011-04-08  6.6.9-5 Cristy  <quetzlzacatenango@image...>
  * MIFF keywords sometimes includes spaces.

2011-04-07  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Major BUG FIX - wrong sign breaks most morphology methods in IM v6.6.9-4
  * Fixed -region handling of transparency. Original images without
    transparency will use 'Over' while images with transparency will
    preserve transparency using 'Copy'. Before this only 'Over' was used
    due to the testing of the wrong image.
  * Added Compose methods  DarkenIntensity and LightenIntensity

2011-04-06  6.6.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-4.

2011-04-03  6.6.9-4 Anthony Thyssen <A.Thyssen@griffith...>
  * Add Octagon shape and Octagonal distance kernels for Morphology
  * Fix minor Morphology kernel compose bug (cleanup after Src/Dst swap)
  * Fix segmentation fault after error in a morphology 'named' kernel
  * Added a range of kernels used for specialised thinning purposes
    as defined in a research paper by Dan S. Bloomberg.
  * Added Dan Bloomberg best thinning skeleton, "Skeleton:3"
  * Removed origin pixel from many Hit-and-Miss kernels allowing kernels
    to not only be used for thinning, but also thickening.
  * Renamed "ThinDiagonals" kernel to just "Diagonals"
  * Distance uses a fast two pass algorithm, and no longer needs 'iteration'

2011-04-02  6.6.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Make the PNG encoder use depth==8 when incoming image->depth < 8
    (the encoder later reduces the depth if it can), to avoid writing
    an incorrect image.
  * Remove any bogus colormap received by the PNG encoder with an image
    that is not PseudoClass (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18475).

2011-04-02  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * Added -statistic Gradient

2011-04-01  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-3.

2011-04-01  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * Set the caption height correctly for missing row geometry (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18447).

2011-03-31  6.6.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-2.

2011-03-30  6.6.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Revised the png decoder to store the PNG IHDR and other known PNG
    chunk data as properties, for later retrieval and reporting by "identify",
    so users can easily and reliably discover the color-type, bit-depth, etc
    that were in the input PNG datastream.
  * The PNG decoder sometimes set images with more than 256 different
    gray-alpha pixels to storage_class=PseudoClass with an incorrect colormap.

2011-03-30  6.6.9-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Add a "Resize" distortion method (distort equivalent of -resize).
  * Special CLI handling so -distort Resize takes a "geometry" argument.

2011-03-29  6.6.9-2 Cristy  <quetzlzacatenango@image...>
  * Expand PCL compressed pixel buffer to prevent delta compressed overrun.

2011-03-29  6.6.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-1.

2011-03-29  6.6.9-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix AdaptiveResizeImage() to use 'Mesh' Interpolation, and fix its
    coordinate handling, as originally defined.

2011-03-29  6.6.9-1 Cristy  <quetzlzacatenango@image...>
  * Support -statistic standard-deviation option.
  * Patch for coders/dcm.c so it compiled with HDRI enabled.

2011-03-28  6.6.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-0.

2011-03-28  6.6.9-0 Cristy  <quetzlzacatenango@image...>
  * Optimize bilinear interpolation.
  * Remove version from etc folder and instead use /etc/ImageMagick.

2011-03-28  6.6.9-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Separated complex cropping function from TransformImage() as a new
    function CropImageToTiles().  This new function returns either the
    new cropped image, or a list of tiles, according to geometry, without
    replacing the source image. The Source image may be part of a larger list
    of images, without the function 'losing' the other images of the list.

2011-03-27  6.6.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-10.

2011-03-27  6.6.8-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Modified image handling in MogrifyImages() and MogrifyImage()
    which improves overall handling, and allows correct %p, %n and the
    %[fx:..] 't' and 'n' escape usage to work correctly.
  * Added -duplicate as a multi-image sequence operator

2011-03-26  6.6.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-9.

2011-03-25  6.6.8-9 Cristy  <quetzlzacatenango@image...>
  * Add InterpolateMagickPixelPacket() method.
  * Add support for the %[opaque] property.

2011-03-25  6.6.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-8.

2011-03-25  6.6.8-8 Cristy  <quetzlzacatenango@image...>
  * Fix memory access bug in CloneString() (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=2&t=18382).
  * Avoid infinite loop when no space is available in MagickFormatCaption().

2011-03-25  6.6.8-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Removed the fix for %p and %n escapes, as it was not working right

2011-03-24  6.6.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-7.

2011-03-24  6.6.8-7 Cristy  <quetzlzacatenango@image...>
  * Add support for 16-bit DCM short ints (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18371).

2011-03-23 6.6.8-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Another fix for -sparse-color and unused color channels
  * Finalize the -duplicate option created by Cristy
  * Fix of segmentation fault for second image in %[fx:..] during info:
    (Bug in AcquireFxInfo(), as given start image is not first image)

2011-03-21  6.6.8-7 Glenn Randers-Pehrson <glennrp@image...>
  * Revised the PNG8 encoder to use 50% threshold instead of 0% when
    reducing transparency to binary.  Collapse all resulting fully transparent
    colors into one (the background color), to reduce the compressed filesize.
  * First try the 4-4-4-1 and 3-3-3-1 palettes instead of 3-3-2-1, to preserve
    colors (especially gray) better, when reducing to PNG8.
  * Force the PNG encoder to return image->matte==MagickTrue when the
    format is RGBA or GA or if the tRNS chunk is present, even when the
    image is fully opaque (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18349).

2011-03-21  6.6.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-6.

2011-03-21  6.6.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Re-enabled reduction of grayscale images (color-type 0) to 2 or 4 bits
    when appropriate (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18098).
  * The "-define PNG:color-type=4" option did not always force the PNG
    encoder to write an all-opaque alpha channel (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18349).

2011-03-14  6.6.8-6 Cristy  <quetzlzacatenango@image...>
  * Fixed memory leak for PDF and Bitmap PSD RLE support (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18317).
  * Support the -statistic option: replace each pixel with corresponding
    statistic from the neighborhood.
  * Add support for -duplicate option.
  * Move configuration files from /usr/share and /usr/lib to /etc and /var.
  * Do not cache the results of fx: otherwise -format
    '%[fx:rand()] %[fx:rand()]' returns the same random numbers.

2011-03-18 6.6.8-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Replaced Minus and Divide Composition methods with Dst and Src
    equivalents. Now users can decide how these non-commutative mathematical
    operators are applied to the images being composited.
  * Fix the percent escape values for  %p, %n  and  %[fx:t], %[fx:n] to
    respectively mean the current images index and the total number of
    images within the current image sequence.

2011-03-17 6.6.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Backed out the patch for Variable Blur Composition that was added
    2011-02-13 v6.6.7-7, until I can re-think the problem.
    The existing fix was failing to do circular blurs correctly.

2011-03-14  6.6.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed a rounding/truncation error while writing the pHYs chunk in the
    png encoder.
  * Don't write text-encoded profile when "-define PNG:exclude-chunk=text,ztxt"
    is present (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=17086 and
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18225).

2011-03-14  6.6.8-5 Cristy  <quetzlzacatenango@image...>
  * Add support for the WebP image format.

2011-03-14  6.6.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Ensured that -sparse-color preserves unused channels when
    channel limited.  Before this unused channels would be reset to black.

2011-03-11  6.6.8-4 Glenn Randers-Pehrson <glennrp@image...>
  * Don't try to store a bKGD chunk in a PNG8 when there are already
    256 colors in the palette and the background colors is not in that
    palette (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18199);
  * The "-define PNG:exclude-chunk=bKGD" option was also excluding
    the text chunks. (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18253).

2011-03-10  6.6.8-4 Cristy  <quetzlzacatenango@image...>
  * Fx is a mathematical function.  Do not treat transparency as black.
  * No image scene suffix for filenames that include a single bracket (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18267).

2011-03-10  6.6.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-3.

2011-03-10  6.6.8-3 Cristy  <quetzlzacatenango@image...>
  * Boost causes an ambiguity with ssize_t when building PythonMagick.  Add
    patch from Arfrever@gento... to fix the build exception.

2011-03-09  6.6.8-2 Cristy  <quetzlzacatenango@image...>
  * Support the Radiance HDR image format.
  * Update the offset in the black channel when sharpening to avoid incorrect
    results.
  * Do not use GenericReadMethod for TIFF images with 64-bits per sample.

2011-03-06  6.6.8-2 Glenn Randers-Pehrson <glennrp@image...>
  * Throw error message when the requested color-type or bit-depth
    cannot be written by the PNG encoder (error was being thrown
    into the wrong image structure).  (Reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18162).
  * Don't write a PNG text chunk with "density" keyword that overrides the
    PNG pHYs chunk, if the pHYs chunk was not excluded (reference
    https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=18253).
  * Ignore any PNG text chunk with a "density" keyword found by the PNG
    decoder, if the PNG datastream also contains a pHYs chunk.

2011-03-06  6.6.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-1.

2011-03-05  6.6.8-1 Cristy  <quetzlzacatenango@image...>
  * Support PSD files with one layer and one composite layer.
  * We must cast a Quantum type when bit shifting and HDRI is enabled.

2011-03-05  6.6.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-0.

2011-02-27  6.6.8-0 Cristy  <quetzlzacatenango@image...>
  * Add support for the -mode option.

2011-02-27  6.6.8-0 Glenn Randers-Pehrson <glennrp@image...>
